<?php /* Mystique/digitalnature */ ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<?php
  $seo = get_mystique_option('seo');
  global $post;
  if($seo):
   if(is_home()):
    $description = get_bloginfo('description');
   elseif(is_category()):
    foreach((get_the_category()) as $category) {
     $description = category_description();
   }
   else:
  	$tags = wp_get_post_tags($post->ID);
    $description = strip_content(get_the_excerpt($post->ID), 20);
   endif;
  endif;
?>
<html xmlns="http://www.w3.org/1999/xhtml" <?php //language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<?php
 if($seo):
  if(($description) && !is_404()): ?>
  <meta name="description" content="<?php echo $description; ?>" />
  <?php endif;
 endif; ?>

<title><?php wp_title('&laquo;', true, 'right'); if ($seo): if (get_query_var('cpage') ) print ' Page '.get_query_var('cpage').' &laquo; '; endif;?> <?php bloginfo('name'); ?></title>

<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/favicon.ico" />

<style type="text/css" media="all">
 <?php if(get_mystique_option('imageless')): ?>
 @import "<?php bloginfo('template_url'); ?>/style-imageless.css";
 <?php else: ?>
 @import "<?php bloginfo('stylesheet_url'); ?>";
 <?php endif; ?>
 @import "<?php bloginfo('template_url'); ?>/lib/style-options.php";
</style>

<!--[if lte IE 6]>
<style type="text/css" media="screen">
@import "<?php bloginfo('template_url'); ?>/ie6.css";
</style>
<![endif]-->

<!--[if IE 7]>
<style type="text/css" media="screen">
@import "<?php bloginfo('template_url'); ?>/ie7.css";
</style>
<![endif]-->

<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php if(get_mystique_option('jquery')): ?>
 <?php wp_enqueue_script('jquery'); ?>
 <?php wp_enqueue_script('mystique',get_bloginfo('template_url').'/js/jquery.mystique.min.js',array(),false,true); ?>
<?php endif; ?>

<?php wp_head(); ?>

</head>
<body class="<?php mystique_body_class() ?>">
 <div id="page">

  <div class="shadow-left page-content header-wrapper">
   <div class="shadow-right">

    <div id="header" class="bubbleTrigger">
      <div id="site-title">

       <?php
       // logo image?
       if(get_mystique_option('logo')): ?>
       <h1 id="logo"><a href="<?php bloginfo('url'); ?>/"><img src="<?php echo get_mystique_option('logo'); ?>" title="<?php bloginfo('name');  ?>" alt="<?php bloginfo('name');  ?>" /></a></h1>
       <?php else: ?>
       <h1 id="logo"><a href="<?php bloginfo('url'); ?>/"><?php bloginfo('name'); ?></a></h1>
       <?php endif;  ?>

       <?php if(get_bloginfo('description')): ?><p class="headline"><?php bloginfo('description'); ?></p><?php endif; ?>

      </div>

      <a href="<?php bloginfo('rss2_url'); ?>" class="rss" title="<?php _e("RSS Feeds","mystique"); ?>"><span><?php _e("RSS Feeds","mystique"); ?></span></a>
      <ul id="navigation">

         <?php
          $navtype = get_mystique_option('navigation');
          if((get_option('show_on_front')<>'page') && ($navtype<>'categories')):
           if(is_home() && !is_paged()): ?>
            <li class="current_page_item" id="nav-home"><a class="home fadeThis" href="<?php echo get_settings('home'); ?>" title="<?php _e('You are Home','mystique'); ?>"><span class="title"><?php _e('Home','mystique'); ?></span><span class="pointer"></span></a></li>
           <?php else: ?>
            <li id="nav-home"><a class="home fadeThis" href="<?php echo get_option('home'); ?>" title="<?php _e('Click for Home','mystique'); ?>"><span class="title"><?php _e('Home','mystique'); ?></span><span class="pointer"></span></a></li>
          <?php
           endif;
          endif; ?>
         <?php
           if($navtype=='categories'):
            echo preg_replace('@\<li([^>]*)>\<a([^>]*)>(.*?)\<\/a>@i', '<li$1><a class="fadeThis"$2><span class="title">$3</span><span class="pointer"></span></a>', wp_list_categories('show_count=0&echo=0&title_li=&exclude='.get_mystique_option('exclude_from_nav')));
           elseif($navtype=='links'):

            $links = get_bookmarks(array(
            'orderby'        => 'name',
            'order'          => 'ASC',
            'limit'          => -1,
            'category'       => null,
            'category_name'  => get_mystique_option('navigation_links'),
            'hide_invisible' => true,
            'show_updated'   => 0,
            'include'        => null,
            'exclude'        => get_mystique_option('exclude_from_nav'),
            'search'         => '.'));

            foreach ($links as $link)
             echo '<li><a class="fadeThis" href="'.$link->link_url.'" target="_blank"><span class="title">'.$link->link_name.'</span></a><li>';

           else:
             echo preg_replace('@\<li([^>]*)>\<a([^>]*)>(.*?)\<\/a>@i', '<li$1><a class="fadeThis"$2><span class="title">$3</span><span class="pointer"></span></a>', wp_list_pages('echo=0&orderby=name&title_li=&exclude='.get_mystique_option('exclude_from_nav')));
           endif;
          ?>

      </ul>
    </div>

   </div>
  </div>

  <!-- left+right bottom shadow -->
  <div class="shadow-left page-content main-wrapper">
   <div class="shadow-right">

     <?php if(is_page_template('featured-content.php')): ?>
     <div id="featured-content" class="withSlider">
       <!-- block container -->
       <div class="slide-container">
        <ul class="slides">

        <?php
         $category = get_mystique_option('featured_content');
         $args = 'showposts=5&orderby=rand';
         if($category) $args .= '&cat='.$category;

         $query = new WP_Query($args);

         $count = 1;
         if ($query->have_posts()) : while ($query->have_posts()) : $query->the_post(); ?>
         <!-- slide (100%) -->
         <li class="slide slide-<?php echo $count; ?> featured-content">
          <div class="slide-content">
           <div class="details clearfix">
           <?php
            $image = get_first_image();
            if ($image) echo '<a class="alignleft" href="'.$image.'"><img height="90" src="'.$image.'" /></a>'; ?>
             <h3><?php the_title(); ?></h3>
             <div class="summary"><?php echo strip_content(get_the_excerpt(), 16); ?></div>
           </div>
           <a href="<?php the_permalink(); ?>" rel="bookmark" class="readmore">Read more</a>
           <div class="clear"></div>
          </div>
         </li>
         <!-- /slide -->
		 <?php $count++; endwhile; endif; ?>
        </ul>
       </div>
       <!-- /block container -->
    </div>
    <?php endif; ?>