

/* easing */

// t: current time, b: begInnIng value, c: change In value, d: duration
jQuery.easing['jswing'] = jQuery.easing['swing'];

jQuery.extend(jQuery.easing, {
  def: 'easeOutQuad',
  swing: function (x, t, b, c, d) {
    //alert(jQuery.easing.default);
    return jQuery.easing[jQuery.easing.def](x, t, b, c, d);
  },
  easeInQuad: function (x, t, b, c, d) {
    return c * (t /= d) * t + b;
  },
  easeOutQuad: function (x, t, b, c, d) {
    return -c * (t /= d) * (t - 2) + b;
  },
  easeInOutQuad: function (x, t, b, c, d) {
    if ((t /= d / 2) < 1) return c / 2 * t * t + b;
    return -c / 2 * ((--t) * (t - 2) - 1) + b;
  },
  easeInCubic: function (x, t, b, c, d) {
    return c * (t /= d) * t * t + b;
  },
  easeOutCubic: function (x, t, b, c, d) {
    return c * ((t = t / d - 1) * t * t + 1) + b;
  },
  easeInOutCubic: function (x, t, b, c, d) {
    if ((t /= d / 2) < 1) return c / 2 * t * t * t + b;
    return c / 2 * ((t -= 2) * t * t + 2) + b;
  },
  easeInQuart: function (x, t, b, c, d) {
    return c * (t /= d) * t * t * t + b;
  },
  easeOutQuart: function (x, t, b, c, d) {
    return -c * ((t = t / d - 1) * t * t * t - 1) + b;
  },
  easeInOutQuart: function (x, t, b, c, d) {
    if ((t /= d / 2) < 1) return c / 2 * t * t * t * t + b;
    return -c / 2 * ((t -= 2) * t * t * t - 2) + b;
  },
  easeInQuint: function (x, t, b, c, d) {
    return c * (t /= d) * t * t * t * t + b;
  },
  easeOutQuint: function (x, t, b, c, d) {
    return c * ((t = t / d - 1) * t * t * t * t + 1) + b;
  },
  easeInOutQuint: function (x, t, b, c, d) {
    if ((t /= d / 2) < 1) return c / 2 * t * t * t * t * t + b;
    return c / 2 * ((t -= 2) * t * t * t * t + 2) + b;
  },
  easeInSine: function (x, t, b, c, d) {
    return -c * Math.cos(t / d * (Math.PI / 2)) + c + b;
  },
  easeOutSine: function (x, t, b, c, d) {
    return c * Math.sin(t / d * (Math.PI / 2)) + b;
  },
  easeInOutSine: function (x, t, b, c, d) {
    return -c / 2 * (Math.cos(Math.PI * t / d) - 1) + b;
  },
  easeInExpo: function (x, t, b, c, d) {
    return (t == 0) ? b : c * Math.pow(2, 10 * (t / d - 1)) + b;
  },
  easeOutExpo: function (x, t, b, c, d) {
    return (t == d) ? b + c : c * (-Math.pow(2, -10 * t / d) + 1) + b;
  },
  easeInOutExpo: function (x, t, b, c, d) {
    if (t == 0) return b;
    if (t == d) return b + c;
    if ((t /= d / 2) < 1) return c / 2 * Math.pow(2, 10 * (t - 1)) + b;
    return c / 2 * (-Math.pow(2, -10 * --t) + 2) + b;
  },
  easeInCirc: function (x, t, b, c, d) {
    return -c * (Math.sqrt(1 - (t /= d) * t) - 1) + b;
  },
  easeOutCirc: function (x, t, b, c, d) {
    return c * Math.sqrt(1 - (t = t / d - 1) * t) + b;
  },
  easeInOutCirc: function (x, t, b, c, d) {
    if ((t /= d / 2) < 1) return -c / 2 * (Math.sqrt(1 - t * t) - 1) + b;
    return c / 2 * (Math.sqrt(1 - (t -= 2) * t) + 1) + b;
  },
  easeInElastic: function (x, t, b, c, d) {
    var s = 1.70158;
    var p = 0;
    var a = c;
    if (t == 0) return b;
    if ((t /= d) == 1) return b + c;
    if (!p) p = d * .3;
    if (a < Math.abs(c)) {
      a = c;
      var s = p / 4;
    }
    else var s = p / (2 * Math.PI) * Math.asin(c / a);
    return - (a * Math.pow(2, 10 * (t -= 1)) * Math.sin((t * d - s) * (2 * Math.PI) / p)) + b;
  },
  easeOutElastic: function (x, t, b, c, d) {
    var s = 1.70158;
    var p = 0;
    var a = c;
    if (t == 0) return b;
    if ((t /= d) == 1) return b + c;
    if (!p) p = d * .3;
    if (a < Math.abs(c)) {
      a = c;
      var s = p / 4;
    }
    else var s = p / (2 * Math.PI) * Math.asin(c / a);
    return a * Math.pow(2, -10 * t) * Math.sin((t * d - s) * (2 * Math.PI) / p) + c + b;
  },
  easeInOutElastic: function (x, t, b, c, d) {
    var s = 1.70158;
    var p = 0;
    var a = c;
    if (t == 0) return b;
    if ((t /= d / 2) == 2) return b + c;
    if (!p) p = d * (.3 * 1.5);
    if (a < Math.abs(c)) {
      a = c;
      var s = p / 4;
    }
    else var s = p / (2 * Math.PI) * Math.asin(c / a);
    if (t < 1) return -.5 * (a * Math.pow(2, 10 * (t -= 1)) * Math.sin((t * d - s) * (2 * Math.PI) / p)) + b;
    return a * Math.pow(2, -10 * (t -= 1)) * Math.sin((t * d - s) * (2 * Math.PI) / p) * .5 + c + b;
  },
  easeInBack: function (x, t, b, c, d, s) {
    if (s == undefined) s = 1.70158;
    return c * (t /= d) * t * ((s + 1) * t - s) + b;
  },
  easeOutBack: function (x, t, b, c, d, s) {
    if (s == undefined) s = 1.70158;
    return c * ((t = t / d - 1) * t * ((s + 1) * t + s) + 1) + b;
  },
  easeInOutBack: function (x, t, b, c, d, s) {
    if (s == undefined) s = 1.70158;
    if ((t /= d / 2) < 1) return c / 2 * (t * t * (((s *= (1.525)) + 1) * t - s)) + b;
    return c / 2 * ((t -= 2) * t * (((s *= (1.525)) + 1) * t + s) + 2) + b;
  },
  easeInBounce: function (x, t, b, c, d) {
    return c - jQuery.easing.easeOutBounce(x, d - t, 0, c, d) + b;
  },
  easeOutBounce: function (x, t, b, c, d) {
    if ((t /= d) < (1 / 2.75)) {
      return c * (7.5625 * t * t) + b;
    } else if (t < (2 / 2.75)) {
      return c * (7.5625 * (t -= (1.5 / 2.75)) * t + .75) + b;
    } else if (t < (2.5 / 2.75)) {
      return c * (7.5625 * (t -= (2.25 / 2.75)) * t + .9375) + b;
    } else {
      return c * (7.5625 * (t -= (2.625 / 2.75)) * t + .984375) + b;
    }
  },
  easeInOutBounce: function (x, t, b, c, d) {
    if (t < d / 2) return jQuery.easing.easeInBounce(x, t * 2, 0, c, d) * .5 + b;
    return jQuery.easing.easeOutBounce(x, t * 2 - d, 0, c, d) * .5 + c * .5 + b;
  }
});






/*
  	loopedSlider 0.5.4 - jQuery plugin
 	written by Nathan Searles
 	http://nathansearles.com/loopedslider/

 	Copyright (c) 2009 Nathan Searles (http://nathansearles.com/)
 	Dual licensed under the MIT (MIT-LICENSE.txt)
 	and GPL (GPL-LICENSE.txt) licenses.

 	Built for jQuery library
 	http://jquery.com

     - modified to slide only lists with the .slide class  */

(function (jQuery) {
  jQuery.fn.loopedSlider = function (options) {

    var defaults = {
      container: '.slide-container',
      slides: '.slides',
      pagination: '.pagination',
      containerClick: false,
      // Click container for next slide
      autoStart: 0,
      // Set to positive number for auto start and interval time
      restart: 0,
      // Set to positive number for restart and restart time
      slidespeed: 333,
      // Speed of slide animation
      fadespeed: 133,
      // Speed of fade animation
      autoHeight: true,
      // Set to positive number for auto height and animation speed
      easing: 'easeOutQuart'
    };

    this.each(function () {

      var obj = jQuery(this);
      var o = jQuery.extend(defaults, options);
      var pagination = jQuery(o.pagination + ' li a', obj);
      var m = 0;
      var t = 1;
      var s = jQuery(o.slides, obj).find('li.slide').size();
      var w = jQuery(o.slides, obj).find('li.slide').outerWidth();
      var p = 0;
      var u = false;
      var n = 0;
      var interval = 0;
      var restart = 0;

      jQuery(o.slides, obj).css({
        width: (s * w)
      });

      jQuery(o.slides, obj).find('li.slide').each(function () {
        jQuery(this).css({
          position: 'absolute',
          left: p,
          display: 'block'
        });
        p = p + w;
      });

      jQuery(pagination, obj).each(function () {
        n = n + 1;
        jQuery(this).attr('rel', n);
        jQuery(pagination.eq(0), obj).parent().addClass('active');
      });

      jQuery(o.slides, obj).find('li.slide:eq(' + (s - 1) + ')').css({
        position: 'absolute',
        left: -w
      });

      if (s > 3) {
        jQuery(o.slides, obj).find('li.slide:eq(' + (s - 1) + ')').css({
          position: 'absolute',
          left: -w
        });
      }

      if (o.autoHeight) {
        autoHeight(t);
      }

      jQuery('.next', obj).click(function () {
        if (u === false) {
          animate('next', true);
          if (o.autoStart) {
            if (o.restart) {
              autoStart();
            }
            else {
              clearInterval(sliderIntervalID);
            }
          }
        }
        return false;
      });

      jQuery('.previous', obj).click(function () {
        if (u === false) {
          animate('prev', true);
          if (o.autoStart) {
            if (o.restart) {
              autoStart();
            }
            else {
              clearInterval(sliderIntervalID);
            }
          }
        }
        return false;
      });

      if (o.containerClick) {
        jQuery(o.container, obj).click(function () {
          if (u === false) {
            animate('next', true);
            if (o.autoStart) {
              if (o.restart) {
                autoStart();
              }
              else {
                clearInterval(sliderIntervalID);
              }
            }
          }
          return false;
        });
      }

      jQuery(pagination, obj).click(function () {
        if (jQuery(this).parent().hasClass('active')) {
          return false;
        }
        else {
          t = jQuery(this).attr('rel');
          jQuery(pagination, obj).parent().siblings().removeClass('active');
          jQuery(this).parent().addClass('active');
          animate('fade', t);
          if (o.autoStart) {
            if (o.restart) {
              autoStart();
            }
            else {
              clearInterval(sliderIntervalID);
            }
          }
        }
        return false;
      });

      if (o.autoStart) {
        sliderIntervalID = setInterval(function () {
          if (u === false) {
            animate('next', true);
          }
        },
        o.autoStart);
        function autoStart() {
          if (o.restart) {
            clearInterval(sliderIntervalID);
            clearInterval(interval);
            clearTimeout(restart);
            restart = setTimeout(function () {
              interval = setInterval(function () {
                animate('next', true);
              },
              o.autoStart);
            },
            o.restart);
          } else {
            sliderIntervalID = setInterval(function () {
              if (u === false) {
                animate('next', true);
              }
            },
            o.autoStart);
          }
        };
      }

      function current(t) {
        if (t === s + 1) {
          t = 1;
        }
        if (t === 0) {
          t = s;
        }
        jQuery(pagination, obj).parent().siblings().removeClass('active');
        jQuery(pagination + '[rel="' + (t) + '"]', obj).parent().addClass('active');
      };

      function autoHeight(t) {
        if (t === s + 1) {
          t = 1;
        }
        if (t === 0) {
          t = s;
        }
        var getHeight = jQuery(o.slides, obj).find('li.slide:eq(' + (t - 1) + ')', obj).outerHeight();
        jQuery(o.container, obj).animate({
          height: getHeight
        },
        o.autoHeight, o.easing);
      };

      function animate(dir, clicked) {
        u = true;
        switch (dir) {
        case 'next':
          t = t + 1;
          m = (-(t * w - w));
          current(t);
          if (o.autoHeight) {
            autoHeight(t);
          }
          if (s < 3) {
            if (t === 3) {
              jQuery(o.slides, obj).find('li.slide:eq(0)').css({
                left: (s * w)
              });
            }
            if (t === 2) {
              jQuery(o.slides, obj).find('li.slide:eq(' + (s - 1) + ')').css({
                position: 'absolute',
                left: (w)
              });
            }
          }
          jQuery(o.slides, obj).animate({
            left: m
          },
          o.slidespeed, o.easing, function () {
            if (t === s + 1) {
              t = 1;
              jQuery(o.slides, obj).css({
                left: 0
              },
              function () {
                jQuery(o.slides, obj).animate({
                  left: m
                })
              });
              jQuery(o.slides, obj).find('li.slide:eq(0)').css({
                left: 0
              });
              jQuery(o.slides, obj).find('li.slide:eq(' + (s - 1) + ')').css({
                position: 'absolute',
                left: -w
              });
            }
            if (t === s) jQuery(o.slides, obj).find('li.slide:eq(0)').css({
              left: (s * w)
            });
            if (t === s - 1) jQuery(o.slides, obj).find('li.slide:eq(' + (s - 1) + ')').css({
              left: s * w - w
            });
            u = false;
          });
          break;
        case 'prev':
          t = t - 1;
          m = (-(t * w - w));
          current(t);
          if (o.autoHeight) {
            autoHeight(t);
          }
          if (s < 3) {
            if (t === 0) {
              jQuery(o.slides, obj).find('li.slide:eq(' + (s - 1) + ')').css({
                position: 'absolute',
                left: (-w)
              });
            }
            if (t === 1) {
              jQuery(o.slides, obj).find('li.slide:eq(0)').css({
                position: 'absolute',
                left: 0
              });
            }
          }
          jQuery(o.slides, obj).animate({
            left: m
          },
          o.slidespeed, o.easing, function () {
            if (t === 0) {
              t = s;
              jQuery(o.slides, obj).find('li.slide:eq(' + (s - 1) + ')').css({
                position: 'absolute',
                left: (s * w - w)
              });
              jQuery(o.slides, obj).css({
                left: -(s * w - w)
              });
              jQuery(o.slides, obj).find('li.slide:eq(0)').css({
                left: (s * w)
              });
            }
            if (t === 2) jQuery(o.slides, obj).find('li.slide:eq(0)').css({
              position: 'absolute',
              left: 0
            });
            if (t === 1) jQuery(o.slides, obj).find('li.slide:eq(' + (s - 1) + ')').css({
              position: 'absolute',
              left: -w
            });
            u = false;
          });
          break;
        case 'fade':
          t = [t] * 1;
          m = (-(t * w - w));
          current(t);
          if (o.autoHeight) {
            autoHeight(t);
          }
          jQuery(o.slides, obj).find('li:slide').fadeOut(o.fadespeed, function () {
            jQuery(o.slides, obj).css({
              left: m
            });
            jQuery(o.slides, obj).find('li.slide:eq(' + (s - 1) + ')').css({
              left: s * w - w
            });
            jQuery(o.slides, obj).find('li.slide:eq(0)').css({
              left: 0
            });
            if (t === s) {
              jQuery(o.slides, obj).find('li.slide:eq(0)').css({
                left: (s * w)
              });
            }
            if (t === 1) {
              jQuery(o.slides, obj).find('li.slide:eq(' + (s - 1) + ')').css({
                position: 'absolute',
                left: -w
              });
            }
            jQuery(o.slides, obj).find('li:slide').fadeIn(o.fadespeed);
            u = false;
          });
          break;
        default:
          break;
        }
      };
    });
  };
})(jQuery);

/* "clearField" by Stijn Van Minnebruggen
   http://www.donotfold.be  */

(function (jQuery) {
  jQuery.fn.clearField = function (settings) {
    settings = jQuery.extend({
      blurClass: 'clearFieldBlurred',
      activeClass: 'clearFieldActive'
    },
    settings);

    jQuery(this).each(function () {
      var el = jQuery(this);
      if (el.attr('rel') == undefined) {
        el.attr('rel', el.val()).addClass(settings.blurClass);
      }

      el.focus(function () {
        if (el.val() == el.attr('rel')) {
          var v='';
          if (el.attr('name')=='url') v='http://';
          el.val(v).removeClass(settings.blurClass).addClass(settings.activeClass);
        }
      });

      el.blur(function () {
        if ((el.val() == ('')) || ((el.attr('name')=='url') && (el.val() == ('http://')))) {
          el.val(el.attr('rel')).removeClass(settings.activeClass).addClass(settings.blurClass);
        }
      });
    });
    return jQuery;
  };

})(jQuery);



/*
 * FancyBox - simple and fancy jQuery plugin
 * Examples and documentation at: http://fancy.klade.lv/
 * Version: 1.2.1 (13/03/2009)
 * Copyright (c) 2009 Janis Skarnelis
 * Licensed under the MIT License: http://en.wikipedia.org/wiki/MIT_License
 * Requires: jQuery v1.3+

 http://fancybox.net

*/
(function (jQuery) {

  jQuery.fn.fixPNG = function () {
    return this.each(function () {
      var image = jQuery(this).css('backgroundImage');

      if (image.match(/^url\(["']?(.*\.png)["']?\)$/i)) {
        image = RegExp.$1;
        jQuery(this).css({
          'backgroundImage': 'none',
          'filter': "progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod=" + (jQuery(this).css('backgroundRepeat') == 'no-repeat' ? 'crop' : 'scale') + ", src='" + image + "')"
        }).each(function () {
          var position = jQuery(this).css('position');
          if (position != 'absolute' && position != 'relative') jQuery(this).css('position', 'relative');
        });
      }
    });
  };

  var elem, opts, busy = false,
  imagePreloader = new Image,
  loadingTimer, loadingFrame = 1,
  imageRegExp = /\.(jpg|gif|png|bmp|jpeg)(.*)?$/i;

  jQuery.fn.fancybox = function (settings) {
    settings = jQuery.extend({},
    jQuery.fn.fancybox.defaults, settings);

    var matchedGroup = this;

    function _initialize() {
      elem = this;
      opts = settings;

      _start();

      return false;
    };

    function _start() {
      if (busy) return;

      if (jQuery.isFunction(opts.callbackOnStart)) {
        opts.callbackOnStart();
      }

      opts.itemArray = [];
      opts.itemCurrent = 0;

      if (settings.itemArray.length > 0) {
        opts.itemArray = settings.itemArray;

      } else {
        var item = {};

        if (!elem.rel || elem.rel == '') {
          var item = {
            href: elem.href,
            title: elem.title
          };

          if (jQuery(elem).children("img:first").length) {
            item.orig = jQuery(elem).children("img:first");
          }

          opts.itemArray.push(item);

        } else {

          var subGroup = jQuery(matchedGroup).filter("a[rel=" + elem.rel + "]");

          var item = {};

          for (var i = 0; i < subGroup.length; i++) {
            item = {
              href: subGroup[i].href,
              title: subGroup[i].title
            };

            if (jQuery(subGroup[i]).children("img:first").length) {
              item.orig = jQuery(subGroup[i]).children("img:first");
            }

            opts.itemArray.push(item);
          }

          while (opts.itemArray[opts.itemCurrent].href != elem.href) {
            opts.itemCurrent++;
          }
        }
      }

      if (opts.overlayShow) {
        if (isIE6) {
          jQuery('embed, object, select').css('visibility', 'hidden');
        }

        jQuery("#fancy_overlay").css('opacity', 0).show().animate({
          opacity: opts.overlayOpacity
        },
        166);
      }

      _change_item();
    };

    function _change_item() {
      jQuery("#fancy_right, #fancy_left, #fancy_title").fadeOut(333);

      var href = opts.itemArray[opts.itemCurrent].href;

      if (href.match(/#/)) {
        var target = window.location.href.split('#')[0];
        target = href.replace(target, '');
        target = target.substr(target.indexOf('#'));

        _set_content('<div id="fancy_div">' + jQuery(target).html() + '</div>', opts.frameWidth, opts.frameHeight);

      } else if (href.match(imageRegExp)) {
        imagePreloader = new Image;
        imagePreloader.src = href;

        if (imagePreloader.complete) {
          _proceed_image();

        } else {
          jQuery.fn.fancybox.showLoading();

          jQuery(imagePreloader).unbind().bind('load', function () {
            jQuery(".fancy_loading").hide();

            _proceed_image();
          });
        }

      } else if (href.match("iframe") || elem.className.indexOf("iframe") >= 0) {
        _set_content('<iframe id="fancy_frame" onload="jQuery.fn.fancybox.showIframe()" name="fancy_iframe' + Math.round(Math.random() * 1000) + '" frameborder="0" hspace="0" src="' + href + '"></iframe>', opts.frameWidth, opts.frameHeight);

      } else {
        jQuery.get(href, function (data) {
          _set_content('<div id="fancy_ajax">' + data + '</div>', opts.frameWidth, opts.frameHeight);
        });
      }
    };

    function _proceed_image() {
      if (opts.imageScale) {
        var w = jQuery.fn.fancybox.getViewport();

        var r = Math.min(Math.min(w[0] - 36, imagePreloader.width) / imagePreloader.width, Math.min(w[1] - 60, imagePreloader.height) / imagePreloader.height);

        var width = Math.round(r * imagePreloader.width);
        var height = Math.round(r * imagePreloader.height);

      } else {
        var width = imagePreloader.width;
        var height = imagePreloader.height;
      }

      _set_content('<img alt="" id="fancy_img" src="' + imagePreloader.src + '" />', width, height);
    };

    function _preload_neighbor_images() {
      if ((opts.itemArray.length - 1) > opts.itemCurrent) {
        var href = opts.itemArray[opts.itemCurrent + 1].href;

        if (href.match(imageRegExp)) {
          objNext = new Image();
          objNext.src = href;
        }
      }

      if (opts.itemCurrent > 0) {
        var href = opts.itemArray[opts.itemCurrent - 1].href;

        if (href.match(imageRegExp)) {
          objNext = new Image();
          objNext.src = href;
        }
      }
    };

    function _set_content(value, width, height) {
      busy = true;

      var pad = opts.padding;

      if (isIE6) {
        jQuery("#fancy_content")[0].style.removeExpression("height");
        jQuery("#fancy_content")[0].style.removeExpression("width");
      }

      if (pad > 0) {
        width += pad * 2;
        height += pad * 2;

        jQuery("#fancy_content").css({
          'top': pad + 'px',
          'right': pad + 'px',
          'bottom': pad + 'px',
          'left': pad + 'px',
          'width': 'auto',
          'height': 'auto'
        });

        if (isIE6) {
          jQuery("#fancy_content")[0].style.setExpression('height', '(this.parentNode.clientHeight - 20)');
          jQuery("#fancy_content")[0].style.setExpression('width', '(this.parentNode.clientWidth - 20)');
        }

      } else {
        jQuery("#fancy_content").css({
          'top': 0,
          'right': 0,
          'bottom': 0,
          'left': 0,
          'width': '100%',
          'height': '100%'
        });
      }

      if (jQuery("#fancy_outer").is(":visible") && width == jQuery("#fancy_outer").width() && height == jQuery("#fancy_outer").height()) {
        jQuery("#fancy_content").fadeOut(99, function () {
          jQuery("#fancy_content").empty().append(jQuery(value)).fadeIn(99, function () {
            _finish();
          });
        });

        return;
      }

      var w = jQuery.fn.fancybox.getViewport();

      var itemLeft = (width + 36) > w[0] ? w[2] : (w[2] + Math.round((w[0] - width - 36) / 2));
      var itemTop = (height + 50) > w[1] ? w[3] : (w[3] + Math.round((w[1] - height - 50) / 2));

      var itemOpts = {
        'left': itemLeft,
        'top': itemTop,
        'width': width + 'px',
        'height': height + 'px'
      };

      if (jQuery("#fancy_outer").is(":visible")) {
        jQuery("#fancy_content").fadeOut(99, function () {
          jQuery("#fancy_content").empty();
          jQuery("#fancy_outer").animate(itemOpts, opts.zoomSpeedChange, opts.easingChange, function () {
            jQuery("#fancy_content").append(jQuery(value)).fadeIn(99, function () {
              _finish();
            });
          });
        });

      } else {

        if (opts.zoomSpeedIn > 0 && opts.itemArray[opts.itemCurrent].orig !== undefined) {
          jQuery("#fancy_content").empty().append(jQuery(value));

          var orig_item = opts.itemArray[opts.itemCurrent].orig;
          var orig_pos = jQuery.fn.fancybox.getPosition(orig_item);

          jQuery("#fancy_outer").css({
            'left': (orig_pos.left - 18) + 'px',
            'top': (orig_pos.top - 18) + 'px',
            'width': jQuery(orig_item).width(),
            'height': jQuery(orig_item).height()
          });

          if (opts.zoomOpacity) {
            itemOpts.opacity = 'show';
          }

          jQuery("#fancy_outer").animate(itemOpts, opts.zoomSpeedIn, opts.easingIn, function () {
            _finish();
          });

        } else {

          jQuery("#fancy_content").hide().empty().append(jQuery(value)).show();
          jQuery("#fancy_outer").css(itemOpts).fadeIn(99, function () {
            _finish();
          });
        }
      }
    };

    function _set_navigation() {
      if (opts.itemCurrent != 0) {
        jQuery("#fancy_left, #fancy_left_ico").unbind().bind("click", function (e) {
          e.stopPropagation();

          opts.itemCurrent--;
          _change_item();

          return false;
        });

        jQuery("#fancy_left").show();
      }

      if (opts.itemCurrent != (opts.itemArray.length - 1)) {
        jQuery("#fancy_right, #fancy_right_ico").unbind().bind("click", function (e) {
          e.stopPropagation();

          opts.itemCurrent++;
          _change_item();

          return false;
        });

        jQuery("#fancy_right").show();
      }
    };

    function _finish() {
      _set_navigation();

      _preload_neighbor_images();

      jQuery(document).keydown(function (e) {
        if (e.keyCode == 27) {
          jQuery.fn.fancybox.close();
          jQuery(document).unbind("keydown");

        } else if (e.keyCode == 37 && opts.itemCurrent != 0) {
          opts.itemCurrent--;
          _change_item();
          jQuery(document).unbind("keydown");

        } else if (e.keyCode == 39 && opts.itemCurrent != (opts.itemArray.length - 1)) {
          opts.itemCurrent++;
          _change_item();
          jQuery(document).unbind("keydown");
        }
      });

      if (opts.centerOnScroll) {
        jQuery(window).bind("resize scroll", jQuery.fn.fancybox.scrollBox);
      } else {
        jQuery("div#fancy_outer").css("position", "absolute");
      }

      if (opts.hideOnContentClick) {
        jQuery("#fancy_wrap").click(jQuery.fn.fancybox.close);
      }

      jQuery("#fancy_overlay").bind("click", jQuery.fn.fancybox.close);

      if (opts.itemArray[opts.itemCurrent].title !== undefined && opts.itemArray[opts.itemCurrent].title.length > 0) {
        jQuery('#fancy_title').html(opts.itemArray[opts.itemCurrent].title);
        jQuery('#fancy_title').fadeIn(133);
      }

      if (opts.overlayShow && isIE6) {
        jQuery('embed, object, select', jQuery('#fancy_content')).css('visibility', 'visible');
      }

      if (jQuery.isFunction(opts.callbackOnShow)) {
        opts.callbackOnShow();
      }

      busy = false;
    };

    return this.unbind('click').click(_initialize);
  };

  jQuery.fn.fancybox.scrollBox = function () {
    var pos = jQuery.fn.fancybox.getViewport();

    jQuery("#fancy_outer").css('left', ((jQuery("#fancy_outer").width() + 36) > pos[0] ? pos[2] : pos[2] + Math.round((pos[0] - jQuery("#fancy_outer").width() - 36) / 2)));
    jQuery("#fancy_outer").css('top', ((jQuery("#fancy_outer").height() + 50) > pos[1] ? pos[3] : pos[3] + Math.round((pos[1] - jQuery("#fancy_outer").height() - 50) / 2)));
  };

  jQuery.fn.fancybox.getNumeric = function (el, prop) {
    return parseInt(jQuery.curCSS(el.jquery ? el[0] : el, prop, true)) || 0;
  };

  jQuery.fn.fancybox.getPosition = function (el) {
    var pos = el.offset();

    pos.top += jQuery.fn.fancybox.getNumeric(el, 'paddingTop');
    pos.top += jQuery.fn.fancybox.getNumeric(el, 'borderTopWidth');

    pos.left += jQuery.fn.fancybox.getNumeric(el, 'paddingLeft');
    pos.left += jQuery.fn.fancybox.getNumeric(el, 'borderLeftWidth');

    return pos;
  };

  jQuery.fn.fancybox.showIframe = function () {
    jQuery(".fancy_loading").hide();
    jQuery("#fancy_frame").show();
  };

  jQuery.fn.fancybox.getViewport = function () {
    return [jQuery(window).width(), jQuery(window).height(), jQuery(document).scrollLeft(), jQuery(document).scrollTop()];
  };

  jQuery.fn.fancybox.animateLoading = function () {
    if (!jQuery("#fancy_loading").is(':visible')) {
      clearInterval(loadingTimer);
      return;
    }

    loadingFrame = (loadingFrame + 1) % 12;
  };

  jQuery.fn.fancybox.showLoading = function () {
    clearInterval(loadingTimer);

    var pos = jQuery.fn.fancybox.getViewport();

    jQuery("#fancy_loading").css({
      'left': ((pos[0] - 40) / 2 + pos[2]),
      'top': ((pos[1] - 40) / 2 + pos[3])
    }).show();
    jQuery("#fancy_loading").bind('click', jQuery.fn.fancybox.close);

    loadingTimer = setInterval(jQuery.fn.fancybox.animateLoading, 66);
  };

  jQuery.fn.fancybox.close = function () {
    busy = true;

    jQuery(imagePreloader).unbind();

    jQuery("#fancy_overlay").unbind();

    if (opts.hideOnContentClick) {
      jQuery("#fancy_wrap").unbind();
    }

    jQuery(".fancy_loading, #fancy_left, #fancy_right, #fancy_title").fadeOut(133);

    if (opts.centerOnScroll) {
      jQuery(window).unbind("resize scroll");
    }

    __cleanup = function () {
      jQuery("#fancy_overlay, #fancy_outer").hide();

      if (opts.centerOnScroll) {
        jQuery(window).unbind("resize scroll");
      }

      if (isIE6) {
        jQuery('embed, object, select').css('visibility', 'visible');
      }

      if (jQuery.isFunction(opts.callbackOnClose)) {
        opts.callbackOnClose();
      }

      busy = false;
    };

    if (jQuery("#fancy_outer").is(":visible") !== false) {
      if (opts.zoomSpeedOut > 0 && opts.itemArray[opts.itemCurrent].orig !== undefined) {
        var orig_item = opts.itemArray[opts.itemCurrent].orig;
        var orig_pos = jQuery.fn.fancybox.getPosition(orig_item);

        var itemOpts = {
          'left': (orig_pos.left - 18) + 'px',
          'top': (orig_pos.top - 18) + 'px',
          'width': jQuery(orig_item).width(),
          'height': jQuery(orig_item).height()
        };

        if (opts.zoomOpacity) {
          itemOpts.opacity = 'hide';
        }

        jQuery("#fancy_outer").stop(false, true).animate(itemOpts, opts.zoomSpeedOut, opts.easingOut, __cleanup);

      } else {
        jQuery("#fancy_outer").stop(false, true).fadeOut(99, __cleanup);
      }

    } else {
      __cleanup();
    }

    return false;
  };

  jQuery.fn.fancybox.build = function () {
    var html = '';

    html += '<div id="fancy_overlay"></div>';
    html += '<div id="fancy_wrap">';
    html += '<div class="fancy_loading" id="fancy_loading"><div></div></div>';
    html += '<div id="fancy_outer">';
    html += '<div id="fancy_inner">';
    html += '<a href="javascript:;" id="fancy_left"><span class="fancy_ico" id="fancy_left_ico"></span></a><a href="javascript:;" id="fancy_right"><span class="fancy_ico" id="fancy_right_ico"></span></a>';
    html += '<div id="fancy_content"></div>';
    html += '</div>';
    html += '<div id="fancy_title"></div>';
    html += '</div>';
    html += '</div>';

    jQuery(html).appendTo("body");

    if (isIE6) {
      jQuery("#fancy_inner").prepend('<iframe class="fancy_bigIframe" scrolling="no" frameborder="0"></iframe>');
      jQuery(".fancy_bg, .fancy_title, .fancy_ico").fixPNG();
    }
  };

  jQuery.fn.fancybox.defaults = {
    padding: 10,
    imageScale: true,
    zoomOpacity: true,
    zoomSpeedIn: 0,
    zoomSpeedOut: 0,
    zoomSpeedChange: 300,
    easingIn: 'swing',
    easingOut: 'swing',
    easingChange: 'swing',
    frameWidth: 425,
    frameHeight: 355,
    overlayShow: true,
    overlayOpacity: 0.3,
    hideOnContentClick: true,
    centerOnScroll: true,
    itemArray: [],
    callbackOnStart: null,
    callbackOnShow: null,
    callbackOnClose: null
  };

  jQuery(document).ready(function () {
    jQuery.fn.fancybox.build();
  });

})(jQuery);

function liteboxCallback() {
  jQuery('.flickrGallery li a').fancybox({
    'zoomSpeedIn': 333,
    'zoomSpeedOut': 333,
    'zoomSpeedChange': 133,
    'easingIn': 'easeOutQuart',
    'easingOut': 'easeInQuart',
    'overlayShow': true,
    'overlayOpacity': 0.75
  });
}

// gallery preview
function galleryPreview(target_items, name) {
  jQuery(target_items).each(function (i) {
    jQuery("body").append("<div class='" + name + "' id='" + name + i + "'><img src='" + jQuery(this).attr('href') + "' /></div>");
    var my_tooltip = jQuery("#" + name + i);

    jQuery(this).mouseover(function () {
      my_tooltip.css({
        opacity: 1,
        display: "none"
      }).fadeIn(99);
    }).mousemove(function (kmouse) {
      my_tooltip.css({
        left: kmouse.pageX + 15,
        top: kmouse.pageY + 15
      });
    }).mouseout(function () {
      my_tooltip.fadeOut(333);
    });
  });
}

/*
 * jQuery Flickr - jQuery plug-in
 * Version 1.0, Released 2008.04.17
 *
 * Copyright (c) 2008 Daniel MacDonald (www.projectatomic.com)
 * Dual licensed GPL http://www.gnu.org/licenses/gpl.html
 * and MIT http://www.opensource.org/licenses/mit-license.php
 */
(function (jQuery) {
  jQuery.fn.flickr = function (o) {
    var s = {
      api_key: null,
      // [string]    required, see http://www.flickr.com/services/api/misc.api_keys.html
      type: null,
      // [string]    allowed values: 'photoset', 'search', default: 'flickr.photos.getRecent'
      photoset_id: null,
      // [string]    required, for type=='photoset'
      text: null,
      // [string]    for type=='search' free text search
      user_id: null,
      // [string]    for type=='search' search by user id
      group_id: null,
      // [string]    for type=='search' search by group id
      tags: null,
      // [string]    for type=='search' comma separated list
      tag_mode: 'any',
      // [string]    for type=='search' allowed values: 'any' (OR), 'all' (AND)
      sort: 'relevance',
      // [string]    for type=='search' allowed values: 'date-posted-asc', 'date-posted-desc', 'date-taken-asc', 'date-taken-desc', 'interestingness-desc', 'interestingness-asc', 'relevance'
      thumb_size: 's',
      // [string]    allowed values: 's' (75x75), 't' (100x?), 'm' (240x?)
      size: null,
      // [string]    allowed values: 'm' (240x?), 'b' (1024x?), 'o' (original), default: (500x?)
      per_page: 100,
      // [integer]   allowed values: max of 500
      page: 1,
      // [integer]   see paging notes
      attr: '',
      // [string]    optional, attributes applied to thumbnail <a> tag
      api_url: null,
      // [string]    optional, custom url that returns flickr JSON or JSON-P 'photos' or 'photoset'
      params: '',
      // [string]    optional, custom arguments, see http://www.flickr.com/services/api/flickr.photos.search.html
      api_callback: '?',
      // [string]    optional, custom callback in flickr JSON-P response
      callback: null // [function]  optional, callback function applied to entire <ul>

      // PAGING NOTES: jQuery Flickr plug-in does not provide paging functionality, but does provide hooks for a custom paging routine
      // within the <ul> created by the plug-in, there are two hidden <input> tags,
      // input:eq(0): current page, input:eq(1): total number of pages, input:eq(2): images per page, input:eq(3): total number of images

      // SEARCH NOTES: when setting type to 'search' at least one search parameter  must also be passed text, user_id, group_id, or tags

      // SIZE NOTES: photos must allow viewing original size for size 'o' to function, if not, default size is shown
    };
    if (o) jQuery.extend(s, o);
    return this.each(function () {
      // create unordered list to contain flickr images
      var list = jQuery('<ul>').appendTo(this);
      var url = jQuery.flickr.format(s);
      jQuery.getJSON(url, function (r) {
        if (r.stat != "ok") {
          for (i in r) {
            jQuery('<li>').text(i + ': ' + r[i]).appendTo(list);
          };
        } else { if (s.type == 'photoset') r.photos = r.photoset;
          // add hooks to access paging data
          list.append('<input type="hidden" value="' + r.photos.page + '" />');
          list.append('<input type="hidden" value="' + r.photos.pages + '" />');
          list.append('<input type="hidden" value="' + r.photos.perpage + '" />');
          list.append('<input type="hidden" value="' + r.photos.total + '" />');
          for (var i = 0; i < r.photos.photo.length; i++) {
            var photo = r.photos.photo[i];
            // format thumbnail url
            var t = 'http://farm' + photo['farm'] + '.static.flickr.com/' + photo['server'] + '/' + photo['id'] + '_' + photo['secret'] + '_' + s.thumb_size + '.jpg';
            //format image url
            var h = 'http://farm' + photo['farm'] + '.static.flickr.com/' + photo['server'] + '/' + photo['id'] + '_';
            switch (s.size) {
            case 'm':
              h += photo['secret'] + '_m.jpg';
              break;
            case 'b':
              h += photo['secret'] + '_b.jpg';
              break;
            case 'o':
              if (photo['originalsecret'] && photo['originalformat']) {
                h += photo['originalsecret'] + '_o.' + photo['originalformat'];
              } else {
                h += photo['secret'] + '_b.jpg';
              };
              break;
            default:
              h += photo['secret'] + '.jpg';
            };
            list.append('<li><a class="thumb" rel="flickr" href="' + h + '" ' + s.attr + ' title="' + photo['title'] + '"><img src="' + t + '" alt="' + photo['title'] + '" /></a></li>');
            //galleryPreview("#flickrGallery li a.thumb","tooltip");
          };
          list.append('<div class="clear"></div>');
          if (s.callback) s.callback(list);
        };
      });
    });
  };
  // static function to format the flickr API url according to the plug-in settings
  jQuery.flickr = {
    format: function (s) {
      if (s.url) return s.url;
      var url = 'http://api.flickr.com/services/rest/?format=json&jsoncallback=' + s.api_callback + '&api_key=' + s.api_key;
      switch (s.type) {
      case 'photoset':
        url += '&method=flickr.photosets.getPhotos&photoset_id=' + s.photoset_id;
        break;
      case 'search':
        url += '&method=flickr.photos.search&sort=' + s.sort;
        if (s.user_id) url += '&user_id=' + s.user_id;
        if (s.group_id) url += '&group_id=' + s.group_id;
        if (s.tags) url += '&tags=' + s.tags;
        if (s.tag_mode) url += '&tag_mode=' + s.tag_mode;
        if (s.text) url += '&text=' + s.text;
        break;
      default:
        url += '&method=flickr.photos.getRecent';
      };
      if (s.size == 'o') url += '&extras=original_format';
      url += '&per_page=' + s.per_page + '&page=' + s.page + s.params;
      return url;
    }
  };
})(jQuery);

/* twitter functions */
/* http://jquery-howto.blogspot.com/2009/04/jquery-twitter-api-plugin.html */
(function (jQuery) {
  jQuery.extend({
    jTwitter: function (username, fnk) {
      var url = "http://twitter.com/status/user_timeline/" + username + ".json?count=1&callback=?";
      var info = {};
      jQuery.getJSON(url, function (data) {
        if (typeof fnk == 'function') fnk.call(this, data[0].user);
      });
    }
  });
})(jQuery);

/*  jquery.twitter.js v1.5
    Last updated: 08 July 2009

	Created by Damien du Toit
	http://coda.co.za/blog/2008/10/26/jquery-plugin-for-twitter

	Licensed under a Creative Commons Attribution-Non-Commercial 3.0 Unported License
	http://creativecommons.org/licenses/by-nc/3.0/
*/

(function (jQuery) {
  jQuery.fn.getTwitter = function (options) {

    jQuery.fn.getTwitter.defaults = {
      userName: null,
      numTweets: 5,
      loaderText: "Loading tweets..."
    };

    var o = jQuery.extend({},
    jQuery.fn.getTwitter.defaults, options);

    return this.each(function () {
      var c = jQuery(this);

      // hide container element, remove alternative content, and add class
      c.hide().empty().addClass("twitted");

      // add twitter list to container element
      var twitterListHTML = "<ul id=\"twitter_update_list\"><li></li></ul>";
      c.append(twitterListHTML);

      var tl = jQuery("#twitter_update_list");

      // hide twitter list
      tl.hide();

      // add preLoader to container element
      var preLoaderHTML = jQuery("<p class=\"preLoader\">" + o.loaderText + "</p>");
      c.append(preLoaderHTML);

      // show container element
      c.show();

      jQuery.getScript("http://twitter.com/javascripts/blogger.js");
      jQuery.getScript("http://twitter.com/statuses/user_timeline/" + o.userName + ".json?callback=twitterCallback2&count=" + o.numTweets, function () {
        // remove preLoader from container element
        jQuery(preLoaderHTML).remove();

        // show twitter list
        tl.fadeIn(333);

        // add unique class to first list item
        tl.find("li:first").addClass("firstTweet");

        // add unique class to last list item
        tl.find("li:last").addClass("lastTweet");

        tl.find("li").children("a").addClass("date");
        tl.find("li").wrapInner("<span class=\"entry\"></span>");

      });
    });
  };
})(jQuery);

// cookie functions
jQuery.cookie = function (name, value, options) {
  if (typeof value != 'undefined') { // name and value given, set cookie
    options = options || {};
    if (value === null) {
      value = '';
      options = jQuery.extend({},
      options); // clone object since it's unexpected behavior if the expired property were changed
      options.expires = -1;
    }
    var expires = '';
    if (options.expires && (typeof options.expires == 'number' || options.expires.toUTCString)) {
      var date;
      if (typeof options.expires == 'number') {
        date = new Date();
        date.setTime(date.getTime() + (options.expires * 24 * 60 * 60 * 1000));
      } else {
        date = options.expires;
      }
      expires = '; expires=' + date.toUTCString(); // use expires attribute, max-age is not supported by IE
    }
    // NOTE Needed to parenthesize options.path and options.domain
    // in the following expressions, otherwise they evaluate to undefined
    // in the packed version for some reason...
    var path = options.path ? '; path=' + (options.path) : '';
    var domain = options.domain ? '; domain=' + (options.domain) : '';
    var secure = options.secure ? '; secure' : '';
    document.cookie = [name, '=', encodeURIComponent(value), expires, path, domain, secure].join('');
  } else { // only name given, get cookie
    var cookieValue = null;
    if (document.cookie && document.cookie != '') {
      var cookies = document.cookie.split(';');
      for (var i = 0; i < cookies.length; i++) {
        var cookie = jQuery.trim(cookies[i]);
        // Does this cookie string begin with the name we want?
        if (cookie.substring(0, name.length + 1) == (name + '=')) {
          cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
          break;
        }
      }
    }
    return cookieValue;
  }
};

// fixes for IE-7/8 cleartype bug on fade in/out
jQuery.fn.fadeIn = function (speed, callback) {
  return this.animate({
    opacity: 'show'
  },
  speed, function () {
    if (jQuery.browser.msie) this.style.removeAttribute('filter');
    if (jQuery.isFunction(callback)) callback();
  });
};

jQuery.fn.fadeOut = function (speed, callback) {
  return this.animate({
    opacity: 'hide'
  },
  speed, function () {
    if (jQuery.browser.msie) this.style.removeAttribute('filter');
    if (jQuery.isFunction(callback)) callback();
  });
};

jQuery.fn.fadeTo = function (speed, to, callback) {
  return this.animate({
    opacity: to
  },
  speed, function () {
    if (to == 1 && jQuery.browser.msie) this.style.removeAttribute('filter');
    if (jQuery.isFunction(callback)) callback();
  });
};

// nundge effect
jQuery.fn.nudge = function (params) {
  //set default parameters
  params = jQuery.extend({
    amount: 20,
    //amount of pixels to pad / marginize
    duration: 300,
    //amount of milliseconds to take
    property: 'padding',
    //the property to animate (could also use margin)
    direction: 'left',
    //direction to animate (could also use right)
    toCallback: function () {},
    //function to execute when MO animation completes
    fromCallback: function () {} //function to execute when MOut animation completes
  },
  params);
  //For every element meant to nudge...
  this.each(function () {
    //variables
    var $t = jQuery(this);
    var $p = params;
    var dir = $p.direction;
    var prop = $p.property + dir.substring(0, 1).toUpperCase() + dir.substring(1, dir.length);
    var initialValue = $t.css(prop);
    /* fx */
    var go = {};
    go[prop] = parseInt($p.amount) + parseInt(initialValue);
    var bk = {};
    bk[prop] = initialValue;

    //Proceed to nudge on hover
    $t.hover(function () {
      $t.stop().animate(go, $p.duration, '', $p.toCallback);
    },
    function () {
      $t.stop().animate(bk, $p.duration, '', $p.fromCallback);
    });
  });
  return this;
};


(function (jQuery) {
  jQuery.fn.bubble = function (options) {

    jQuery.fn.bubble.defaults = {
      timeout: 0,
      offset: 22
    };

    var o = jQuery.extend({},
    jQuery.fn.bubble.defaults, options);
    return this.each(function () {

      var showTip = function () {
        var el = jQuery(this).find('.bubble').css('display', 'block')[0];
        var ttHeight = jQuery(el).height();
        var ttOffset = el.offsetHeight;
        var ttTop = ttOffset + ttHeight;
        jQuery(this).find('.bubble').stop().css({
          'opacity': 0,
          'top': 2 - ttOffset
        }).animate({
          'opacity': 1,
          'top': o.offset - ttOffset
        },
        250);
      };

      var hideTip = function () {
        var self = this;
        var el = jQuery('.bubble', this).css('display', 'block')[0];
        var ttHeight = jQuery(el).height();
        var ttOffset = el.offsetHeight;
        var ttTop = ttOffset + ttHeight;
        jQuery(this).find('.bubble').stop().animate({
          'opacity': 0,
          'top': 12 - ttOffset
        },
        250, 'swing', function () {
          el.hiding = false;
          jQuery(this).css('display', 'none');
        })
      }

      jQuery(this).find('.bubble').hover(function () {
        return false;
      },
      function () {
        return true;
      });
      jQuery(this).hover(
      function () {
        var self = this;
        showTip.apply(this);
        if (o.timeout > 0) this.tttimeout = setTimeout(function () {
          hideTip.apply(self)
        },
        o.timeout);
      },
      function () {
        clearTimeout(this.tttimeout);
        hideTip.apply(this);
      });

    });
  };
})(jQuery);



function updateCookie(target, data) { //Private function for setting cookie
    var cookie = target.replace(/[#. ]/g, '');
    jQuery.cookie(cookie, data, { path: '/' });
}

function fontControl(container, target, minSize, maxSize) {

  jQuery(container).append('<a href="javascript:void(0);" class="fontSize bubble" title="Increase or decrease text size"></a>');

    var cookie = 'page-font-size';
    var value = jQuery.cookie(cookie);
    if (value != null) {
      jQuery(target).css('fontSize', parseInt(value));
    }

  //on clicking small font button, font size is decreased by 1px
  jQuery(container + " .fontSize").click(function () {
    curSize = parseInt(jQuery(target).css("fontSize"));
    newSize = curSize + 1;
    if (newSize > maxSize) newSize = minSize;
    if (newSize >= minSize) //jQuery(target).css('fontSize', newSize);
      jQuery(target).animate({ fontSize: newSize }, 333, 'swing');
    updateCookie(cookie, newSize); //sets the cookie
  });

}

function pageWidthControl(container, target, fullWidth, fixedWidth, fluidWidth) {

  jQuery(container).append('<a href="javascript:void(0);" class="pageWidth bubble" title="switch from fixed to fluid page width"></a>');

    var cookie = 'page-max-width';
    var value = jQuery.cookie(cookie);
    if (value != null) {
      jQuery(target).css('maxWidth', value);
    }

  jQuery(container + " .pageWidth").click(function () {
    curMaxWidth = jQuery(target).css('maxWidth');
    newMaxWidth = curMaxWidth;
    switch (curMaxWidth) {
        case fullWidth: newMaxWidth = fixedWidth; break;
        case fixedWidth: newMaxWidth = fluidWidth; break;
        case fluidWidth: newMaxWidth = fullWidth; break;
        default: newMaxWidth = fluidWidth;
    }

    jQuery(target).animate({ maxWidth: newMaxWidth }, 333, 'easeOutQuart');
    updateCookie(cookie, newMaxWidth); //sets the cookie

  });

}


/* old menu */

(function (jQuery) {
  jQuery.fn.dropDown = function (options) {

    jQuery.fn.dropDown.defaults = {
      delay: 0
    };

    var o = jQuery.extend({},
    jQuery.fn.dropDown.defaults, options);

    return this.each(function () {

     jQuery(this).find("ul").css({display: "none"});

     jQuery(this).find("li").hover(function(){
     jQuery(this).find('ul:first').css({display: "block",opacity:0,marginLeft:20}).animate({opacity: 1,marginLeft:0},150,'swing');
       },function(){
       jQuery(this).find('ul:first').animate({opacity: 0,marginLeft:20},150,'swing', function() {
         jQuery(this).css({display:"none"});
       });
     });

     });
  };
})(jQuery);



/*
 * Superfish v1.4.8 - jQuery menu widget
 * Copyright (c) 2008 Joel Birch
 *
 * Dual licensed under the MIT and GPL licenses:
 * 	http://www.opensource.org/licenses/mit-license.php
 * 	http://www.gnu.org/licenses/gpl.html
 *
 * CHANGELOG: http://users.tpg.com.au/j_birch/plugins/superfish/changelog.txt
 */

;(function(jQuery){
    jQuery.fn.superfish = function(op){

        var sf = jQuery.fn.superfish,
            c = sf.c,
            $arrow = jQuery(['<span class="',c.arrowClass,'"> &#187;</span>'].join('')),
            over = function(){
                var $$ = jQuery(this), menu = getMenu($$);
                clearTimeout(menu.sfTimer);
                $$.showSuperfishUl().siblings().hideSuperfishUl();
            },
            out = function(){
                var $$ = jQuery(this), menu = getMenu($$), o = sf.op;
                clearTimeout(menu.sfTimer);
                menu.sfTimer=setTimeout(function(){
                    o.retainPath=(jQuery.inArray($$[0],o.$path)>-1);
                    $$.hideSuperfishUl();
                    if (o.$path.length && $$.parents(['li.',o.hoverClass].join('')).length<1){over.call(o.$path);}
                },o.delay);
            },
            getMenu = function($menu){
                var menu = $menu.parents(['ul.',c.menuClass,':first'].join(''))[0];
                sf.op = sf.o[menu.serial];
                return menu;
            },
            addArrow = function($a){ $a.addClass(c.anchorClass).append($arrow.clone()); };

        return this.each(function() {
            var s = this.serial = sf.o.length;
            var o = jQuery.extend({},sf.defaults,op);
            o.$path = jQuery('li.'+o.pathClass,this).slice(0,o.pathLevels).each(function(){
                jQuery(this).addClass([o.hoverClass,c.bcClass].join(' '))
                    .filter('li:has(ul)').removeClass(o.pathClass);
            });
            sf.o[s] = sf.op = o;

            jQuery('li:has(ul)',this)[(jQuery.fn.hoverIntent && !o.disableHI) ? 'hoverIntent' : 'hover'](over,out).each(function() {
                if (o.autoArrows) addArrow( jQuery('>a:first-child',this) );
            })
            .not('.'+c.bcClass)
                .hideSuperfishUl();

            var $a = jQuery('a',this);
            $a.each(function(i){
                var $li = $a.eq(i).parents('li');
                $a.eq(i).focus(function(){over.call($li);}).blur(function(){out.call($li);});
            });
            o.onInit.call(this);

        }).each(function() {
            var menuClasses = [c.menuClass];
            jQuery(this).addClass(menuClasses.join(' '));
        });
    };

    var sf = jQuery.fn.superfish;
    sf.o = [];
    sf.op = {};
    sf.c = {
        bcClass     : 'sf-breadcrumb',
        menuClass   : 'sf-js-enabled',
        anchorClass : 'sf-with-ul',
        arrowClass  : 'arrow'
    };
    sf.defaults = {
        hoverClass	: 'sfHover',
        pathClass	: 'overideThisToUse',
        pathLevels	: 1,
        delay		: 333,
        speed		: 'normal',
        autoArrows	: true,
        disableHI	: false,		// true disables hoverIntent detection
        onInit		: function(){}, // callback functions
        onBeforeShow: function(){},
        onShow		: function(){},
        onHide		: function(){}
    };


    jQuery.fn.extend({
        hideSuperfishUl : function(){
            var o = sf.op,
                not = (o.retainPath===true) ? o.$path : '';
            o.retainPath = false;
            var $ul = jQuery(['li.',o.hoverClass].join(''),this).add(this).not(not).removeClass(o.hoverClass)
                    .find('>ul').animate({opacity: 0,marginLeft:20},150,'swing', function() {
         jQuery(this).css({display:"none"})});


            o.onHide.call($ul);
            return this;
        },
        showSuperfishUl : function(){
            var o = sf.op,
                $ul = this.addClass(o.hoverClass)
                    .find('>ul:hidden').css('visibility','visible');
            o.onBeforeShow.call($ul);

            $ul.css({display: "block",opacity:0,marginLeft:20}).animate({opacity: 1,marginLeft:0},150,'swing',function(){ o.onShow.call($ul); });

            return this;
        }
    });

})(jQuery);



// simple tooltips
function webshot(target_items, name){
 jQuery(target_items).each(function(i){
		jQuery("body").append("<div class='"+name+"' id='"+name+i+"'><p><img src='http://images.websnapr.com/?size=s&amp;url="+jQuery(this).attr('href')+"' /></p></div>");
		var my_tooltip = jQuery("#"+name+i);

		jQuery(this).mouseover(function(){
				my_tooltip.css({opacity:0.8, display:"none"}).fadeIn(400);
		}).mousemove(function(kmouse){
				my_tooltip.css({left:kmouse.pageX+15, top:kmouse.pageY+15});
		}).mouseout(function(){
				my_tooltip.fadeOut(400);
		});
	});
}


// quote comment
(function (jQuery) {
  jQuery.fn.quoteComment = function (options) {

    jQuery.fn.quoteComment.defaults = {
      comment: 'li.comment',
      comment_id: '.comment-id',
      author: '.comment-author',
      source: '.comment-body',
      target: '#comment'
    };

    jQuery.fn.appendVal = function(txt) {
     return this.each(function(){
        this.value += txt;
     });
    };

    var o = jQuery.extend({},
    jQuery.fn.quoteComment.defaults, options);

    return this.each(function () {

        jQuery(this).click(
          function(){
            $c = jQuery(this).parents(o.comment).find(o.source);
            $author = jQuery(this).parents(o.comment).find(o.author);
            $cid = jQuery(this).parents(o.comment).find(o.comment_id).attr('href');
            jQuery(o.target).appendVal('<blockquote>\n<a href="'+$cid+'">\n<strong><em>'+$author.html()+':</em></strong>\n</a>\n '+$c.html()+'</blockquote>');
            jQuery(o.target).focus();
            return false;
           })
    });
  };
})(jQuery);













// optimized minitabs

(function (jQuery) {
  jQuery.fn.minitabs = function (options) {

    jQuery.fn.minitabs.defaults = {
      content: '.sections',
      nav: 'ul:first',
      effect: 'top',
      speed: 333,
      cookies: true
    };

    var o = jQuery.extend({},
    jQuery.fn.minitabs.defaults, options);

    return this.each(function () {

        var $tabs = jQuery(this);
        var $instance = $tabs.attr('id');
        var $nav = jQuery('#'+$instance+' '+o.nav);

        if(o.cookies) {
         // check for the active tab cookie
         var cookieID = $instance;
         var cookieState = jQuery.cookie(cookieID);
        }
        // hide all sections
       $tabs.find(o.content+" >div:gt(0)").hide();

        if(o.cookies && (cookieState!=null)) { // if we have a cookie then show the section according to its value
          $nav.find('li.'+cookieState).addClass("active");
          var link = $nav.find('li.'+cookieState+' a');
          var section = link.attr('href');
          $tabs.find(o.content+' div'+section).show();
        }
        else { // if not, show the 1st section
          $nav.find('li:last').addClass("active");
          $tabs.find(o.content+' div:first').show();
        }

        $nav.find("li>a").click(
          function(){
            if (!jQuery(this).parent('li').hasClass("active")) {
              $nav.find('li').removeClass("active");
              if(o.cookies) {
               var cookieValue = jQuery(this).parent('li').attr("class");
               jQuery.cookie(cookieID,cookieValue, { path: '/' });
              }
              jQuery(this).parent('li').addClass("active");
              jQuery(this).blur();
              var re = /([_\-\w]+$)/i;
              var target = jQuery('#'+$instance+' #' + re.exec(this.href)[1]);
              if(o.effect=='slide') $tabs.find(o.content+" >div").slideUp(o.effect); else $tabs.find(o.content+" >div").hide();
              switch(o.effect){
               case 'top': target.css({opacity:0,top:-300}).show().animate({opacity:1,top:0},o.speed,'easeOutQuart');break;
               case 'slide': target.slideDown(o.speed);break;
               case 'height':
                originalHeight = target.height();
                target.css({opacity:0,height:0}).show().animate({opacity:1,height:originalHeight},o.speed,'easeOutQuart');
                break;
              }
              return false;
            }
           })
    });
  };
})(jQuery);



// init
jQuery(document).ready(function () {

//  jQuery("#navigation").dropDown({ delay: 333 });

   jQuery('#navigation').superfish({autoArrows:true});

  // layout controls
  fontControl("#pageControls", "body", 10, 18);
  pageWidthControl("#pageControls", ".page-content", '95%', '980px', '1200px');

  webshot("a.comment-author","webshot");

  jQuery(".post-tabs").minitabs({content:'.sections',nav:'.tabs',effect:'top',speed:333,cookies:false});
  jQuery(".sidebar-tabs").minitabs({content:'.sections',nav:'.box-tabs',effect:'slide',speed:150});


  // animate tabs
  // jQuery('.tabs li').hover(function() {
  //  jQuery(this).animate({bottom: 0}, 150,'swing');
  //  }, function() {
  //   jQuery(this).animate({bottom: -4 }, 150,'swing');
  // });



    jQuery("ul.menuList .cat-item").bubble({
      timeout: 6000
    });
    jQuery(".shareThis").bubble({
      offset: 16,
      timeout: 0
    });
    jQuery(".comment-head").bubble({
      timeout: 0
    });
    jQuery("#pageControls").bubble({offset: 30});


  jQuery('ul.menuList li a').nudge({
    property: 'padding',
    direction: 'left',
    amount: 6,
    duration: 166
  });

  jQuery('a.rss').nudge({
    property: 'bottom',
    direction: '',
    amount: 14,
    duration: 166
  });

  jQuery("a#show-author-info").click(function () {
      jQuery("#author-info").slideToggle(333);
  });

  jQuery("a.quote").quoteComment({comment:'li.comment',comment_id: '.comment-id',author:'.comment-author',source:'.comment-text',target:'#comment'});

  /*
  if(!wpCaptions){

  jQuery(".wp-caption img").each(function () {
	var $this = jQuery(this);
	var title = $this.attr("alt");
	var classes = $this.attr("class");
	$this.wrap('<div class="imgCaption" width="'+$this.width()+'"></div>');
	$this.parent().append('<p><span>'+ title +'</span></p>');

    $this.parent().parent().find('p.wp-caption-text').remove();

    if(classes != '') {
       $this.parent().addClass(classes);
       $this.removeClass();
     }

    var c = jQuery(this).parent().find('p');
    var cHeight = c.height();

    c.css({bottom: -c});


  $this.parent().hover(
   function () {
    c.stop(false, true).animate({
      bottom: 0
    },
    {
      duration: 200,
      easing: 'easeOutQuart'
    });
  },

  function () {
    c.stop(false, true).animate({
      bottom: -cHeight
    },
    {
      duration: 200,
      easing: 'easeInQuart'
    });
  });

  });
 }
 */

  // enable fancyBox for any link with rel="lightbox" and on links which references end in image extensions (jpg, gif, png)
  jQuery("a[rel='lightbox[5]'], a[href$='.jpg'], a[href$='.gif'], a[href$='.png']").fancybox({
    'zoomSpeedIn': 333,
    'zoomSpeedOut': 333,
    'zoomSpeedChange': 133,
    'easingIn': 'easeOutQuart',
    'easingOut': 'easeInQuart',
    'overlayShow': true,
    'overlayOpacity': 0.75
  });


  // fade effect
  if (!isIE) {
    jQuery('.fadeThis').append('<span class="hover"></span>').each(function () {
      var jQueryspan = jQuery('> span.hover', this).css('opacity', 0);
      jQuery(this).hover(function () {
        jQueryspan.stop().fadeTo(333, 1);
      },
      function () {
        jQueryspan.stop().fadeTo(333, 0);
      });
    });
  }

  jQuery("#footer-blocks.withSlider").loopedSlider();
  jQuery("#featured-content.withSlider").loopedSlider({autoStart: 10000, autoHeight: false});

  // scroll to top
  jQuery("a#goTop").click(function () {
    jQuery('html').animate({
      scrollTop: 0
    },
    'slow');
  });

  jQuery('.clearField').clearField({
    blurClass: 'clearFieldBlurred',
    activeClass: 'clearFieldActive'
  });


  // set accessibility roles on some elements trough js (to not break the xhtml markup)
  jQuery("#navigation").attr("role","navigation");
  jQuery("#primary-content").attr("role","main");
  jQuery("#sidebar").attr("role","complementary");
  jQuery("#search-form").attr("role","search");


});
