<?php
/* Mystique/digitalnature */

function setup_options() {
  remove_options();
  update_option( 'mystique' , apply_filters('theme_default_settings', array(
    'theme_version' => THEME_VERSION,
    'layout' => 'col-2-right',
    'color_scheme' => 'green',
    'font_style' => '0',
    'imageless' => '0',
    'footer_content' => '[credit]'.PHP_EOL.'<br />'.PHP_EOL.'[rss] [xhtml] [top]',
    'navigation' => 'pages',
    'navigation_links' => 'Blogroll',
    'exclude_from_nav' => '',
    'post_preview' => 'full',
    'sharethis' => '1',
    'featured_content' => 'All',
    'seo' => '1',
    'jquery' => '1',
    'user_css' => '',
    'logo' => '',
    'background' => '',
    'remove_settings' => '1'))
  );
}

function remove_options() {
  delete_option('mystique');
}

function get_mystique_option( $option ) {
  $get_mystique_options = get_option('mystique');
  return $get_mystique_options[$option];
}

function print_mystique_option( $option ) {
  $get_mystique_options = get_option('mystique');
  echo $get_mystique_options[$option];
}

function get_upload_dir($dir) {
  $uploadpath = wp_upload_dir();
  if ($uploadpath['baseurl']=='') $uploadpath['baseurl'] = get_bloginfo('siteurl').'/wp-content/uploads';
  return $uploadpath[$dir];
}


function mystique_update_options() {
  check_admin_referer('theme-settings');
  if (!current_user_can('edit_themes')) wp_die(__('You are not authorised to perform this operation.', 'mystique'));
  $options = get_option('mystique');
  if (isset($_POST['layout'])) $options['layout'] = $_POST['layout'];
  if (isset($_POST['font_style'])) $options['font_style'] = $_POST['font_style'];
  if (isset($_POST['color_scheme'])) $options['color_scheme'] = $_POST['color_scheme'];
  if (isset($_POST['imageless'])) $options['imageless'] = 1; else $options['imageless'] = 0;
  if (isset($_POST['footer_content'])) $options['footer_content'] = stripslashes($_POST['footer_content']);
  if (isset($_POST['navigation'])) $options['navigation'] = $_POST['navigation'];
  if (isset($_POST['navigation_links'])) $options['navigation_links'] = $_POST['navigation_links'];
  if (isset($_POST['exclude_from_nav'])) $options['exclude_from_nav'] = $_POST['exclude_from_nav'];
  if (isset($_POST['post_preview'])) $options['post_preview'] = $_POST['post_preview'];
  if (isset($_POST['sharethis'])) $options['sharethis'] = 1; else $options['sharethis'] = 0;
  if (isset($_POST['featured_content'])) $options['featured_content'] = $_POST['featured_content'];
  if (isset($_POST['seo'])) $options['seo'] = 1; else $options['seo'] = 0;
  if (isset($_POST['jquery'])) $options['jquery'] = 1; else $options['jquery'] = 0;
  if (isset($_POST['user_css'])) $options['user_css'] = stripslashes($_POST['user_css']);
  if (isset($_POST['remove_settings'])) $options['remove_settings'] = 1; else $options['remove_settings'] = 0;

  if (isset($_POST['remove-logo'])):
    $options['logo'] = '';
  else:
    if ($_FILES["file-logo"]["type"]):
      $directory = get_upload_dir('basedir').'/';
      move_uploaded_file($_FILES["file-logo"]["tmp_name"],
      $directory . $_FILES["file-logo"]["name"]);
      $options['logo'] = get_upload_dir('baseurl'). "/". $_FILES["file-logo"]["name"];
    endif;
  endif;

  if (isset($_POST['remove-background'])):
    $options['background'] = '';
  else:
    if ($_FILES["file-background"]["type"]):
      $directory = get_upload_dir('basedir').'/';
      move_uploaded_file($_FILES["file-background"]["tmp_name"],
      $directory . $_FILES["file-background"]["name"]);
      $options['background'] = get_upload_dir('baseurl'). "/". $_FILES["file-background"]["name"];
    endif;
  endif;

  update_option('mystique', $options);
  wp_redirect(admin_url('themes.php?page=theme-settings&updated=true'));
}



function mystique_theme_settings() {
  if (current_user_can('edit_themes')): ?>

  <style type="text/css">
   #theme-settings input.radio{border:0;}
   #theme-settings label{width: 100px;display:block;float:left;}

   #theme-settings .layout-box{text-align:center;width:85px;float:left;margin-right: 10px;border:1px solid #ddd;}
   #theme-settings .layout{background:transparent url(<?php echo get_option('siteurl')."/wp-content/themes/".get_option('template') ?>/images/admin/layout.png) no-repeat left top;width: 85px;height: 50px;display:block;}

   #theme-settings .layout.col-2-left{background-position: -85px 0;}
   #theme-settings .layout.col-2-left{background-position: -85px 0;}
   #theme-settings .layout.col-2-right{background-position: -170px 0;}
   #theme-settings .layout.col-3{background-position: -425px 0;}
   #theme-settings .layout.col-3-left{background-position: -340px 0;}
   #theme-settings .layout.col-3-right{background-position: -255px 0;}

   #theme-settings table{margin:2em 0;}

   #theme-settings th p{line-height:150%;font-weight:normal;padding:0;margin:0;}
   #theme-settings th p span{color:#999;font-weight:normal;font-style:italic;display:block}

   .tabs{padding:0;margin:2em 0;border:1px solid #fff;list-style-type:none;font-weight:bold;}
   .tabs li{float:left;margin-right:4px;}
   .tabs li a{padding:4px 8px;background:#eee;text-shadow:#fff 1px 1px 1px;}
   .tabs li.active a{text-decoration:none;color:#fff;background:#999;text-shadow:#000 1px 1px 1px;}

   .section{position:relative;display:none;min-height:450px;}

   .support{background:#eee;padding:.6em 1em;float:right;font-style:italic;}

  </style>

  <script type="text/javascript">
  /* <![CDATA[ */

  jQuery.fn.appendVal = function(txt) {
    return this.each(function(){
      this.value += txt;
   });
  };

  // cookie functions
  jQuery.cookie = function (name, value, options) {
    if (typeof value != 'undefined') { // name and value given, set cookie
      options = options || {};
      if (value === null) {
        value = '';
        options = jQuery.extend({},
        options); // clone object since it's unexpected behavior if the expired property were changed
        options.expires = -1;
      }
      var expires = '';
      if (options.expires && (typeof options.expires == 'number' || options.expires.toUTCString)) {
        var date;
        if (typeof options.expires == 'number') {
          date = new Date();
          date.setTime(date.getTime() + (options.expires * 24 * 60 * 60 * 1000));
        } else {
          date = options.expires;
        }
        expires = '; expires=' + date.toUTCString(); // use expires attribute, max-age is not supported by IE
      }
      // NOTE Needed to parenthesize options.path and options.domain
      // in the following expressions, otherwise they evaluate to undefined
      // in the packed version for some reason...
      var path = options.path ? '; path=' + (options.path) : '';
      var domain = options.domain ? '; domain=' + (options.domain) : '';
      var secure = options.secure ? '; secure' : '';
      document.cookie = [name, '=', encodeURIComponent(value), expires, path, domain, secure].join('');
    } else { // only name given, get cookie
      var cookieValue = null;
      if (document.cookie && document.cookie != '') {
        var cookies = document.cookie.split(';');
        for (var i = 0; i < cookies.length; i++) {
          var cookie = jQuery.trim(cookies[i]);
          // Does this cookie string begin with the name we want?
          if (cookie.substring(0, name.length + 1) == (name + '=')) {
            cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
            break;
          }
        }
      }
      return cookieValue;
    }
  };

  // optimized minitabs
  (function (jQuery) {
    jQuery.fn.minitabs = function (options) {

      jQuery.fn.minitabs.defaults = {
        contentClass: '.sections',
        effect: 'top',
        speed: 333
      };

      var o = jQuery.extend({},
      jQuery.fn.minitabs.defaults, options);

      return this.each(function () {

          var $tabs = jQuery(this);

          // check for the active tab cookie
          var cookieID = $tabs.attr('id');
          var cookieState = jQuery.cookie(cookieID);

          // hide all sections
          $tabs.find(o.contentClass+" >div:gt(0)").hide();

          if(cookieState!=null) { // if we have a cookie then show the section according to its value
            $tabs.find('li.'+cookieState).addClass("active");
            var link = $tabs.find('li.'+cookieState+' a');
            var section = link.attr('href');
            $tabs.find(o.contentClass+' div'+section).show();
          }
          else { // if not, show the 1st section
            $tabs.find('ul:first').find('li:first').addClass("active");
            $tabs.find(o.contentClass+' div:first').show();
          }

          $tabs.find("ul>li>a").click(
            function(){
                $tabs.find('ul>li').removeClass("active");
                var cookieValue = jQuery(this).parent('li').attr("class");
                jQuery.cookie(cookieID,cookieValue, { path: '/' });
                jQuery(this).parent('li').addClass("active");
                jQuery(this).blur();
                var re = /([_\-\w]+$)/i;
                var target = jQuery('#' + re.exec(this.href)[1]);
                $tabs.find(o.contentClass+" >div").hide();
                target.css({opacity:0,top:-20}).show().animate({opacity:1,top:0},o.speed);
                return false;
             })
      });
    };
  })(jQuery);

  // init
  jQuery(document).ready(function () {

    // set up tabs
    jQuery("#theme-settings-tabs").minitabs({contentClass:'.sections',speed:333});

    // disable color scheme setting if imageless option is checked
    jQuery('input#opt-imageless').change(function() {
     jQuery('select#opt-color_scheme').attr("disabled", false);
     if (jQuery(this).is(":checked"))
       jQuery('select#opt-color_scheme').attr("disabled", true);
    });
    jQuery("input#opt-imageless").change();

    // show link select box if navigation is set to show links
    jQuery('select#opt-navigation').change(function() {
     jQuery('.opt-links').hide();
     if(jQuery(this).find('option:selected').attr('value')=='links')
       jQuery('.opt-links').show();
    });
    jQuery("select#opt-navigation").change();

    // disable seo options if seo checkbox is unchecked
    // jQuery('input#opt-seo').change(function() {
    // jQuery('input#opt-meta_keywords').attr("disabled", true);
    // if (jQuery(this).is(":checked"))
    //   jQuery('input#opt-meta_keywords').attr("disabled", false);
    // });
    // jQuery("input#opt-seo").change();

  });
  /* ]]> */
  </script>

  <div id="theme-settings" class="wrap">
   <?php screen_icon(); ?>
   <h2><?php _e('Mystique settings','mystique'); ?></h2>

   <form action="<?php echo admin_url('admin-post.php?action=mystique_update'); ?>" method="post" enctype="multipart/form-data">
   <?php wp_nonce_field('theme-settings'); ?>
   <?php if (isset($_GET['updated'])): ?>
   <div class="updated fade below-h2">
    <p><?php printf( __('Settings saved. %s', 'mystique'),'<a href="' . user_trailingslashit(get_bloginfo('url')) . '">' . __('View site','mystique') . '</a>' ); ?></p>
   </div>
   <?php endif; ?>

   <!-- tabbed content -->
   <div id="theme-settings-tabs">
    <ul class="tabs">
     <li class="general"><a href='#tab-1'><?php _e("General","mystique"); ?></a></li>
     <li class="navigation"><a href='#tab-2'><?php _e("Navigation","mystique"); ?></a></li>
     <li class="bglogo"><a href='#tab-3'><?php _e("Background &amp; logo","mystique"); ?></a></li>
     <li class="posts"><a href='#tab-4'><?php _e("Posts","mystique"); ?></a></li>
     <li class="seo"><a href='#tab-5'><?php _e("SEO","mystique"); ?></a></li>
     <li class="adv"><a href='#tab-6'><?php _e("Advanced","mystique"); ?></a></li>
    </ul>
    <div class="clear"></div>

    <!-- sections -->
    <div class="sections">

     <div class="section" id="tab-1">
      <table class="form-table" style="width: auto">

       <tr>
        <th scope="row"><p><?php _e("Layout style","mystique") ?><span><?php _e("Use page templates to apply these only to specific pages","mystique"); ?></span></p></th>
        <td>
         <div class="layout-box">
          <label for="col-1" class="layout"></label>
          <input class="radio" type="radio" name="layout" id="col-1" value="col-1" <?php if(get_mystique_option('layout')=='col-1') echo 'checked="checked" '; ?>/>
         </div>

         <div class="layout-box">
          <label for="col-2-left" class="layout col-2-left"></label>
          <input class="radio" type="radio" name="layout" id="col-2-left" value="col-2-left" <?php if(get_mystique_option('layout')=='col-2-left') echo 'checked="checked" '; ?>/>
         </div>

         <div class="layout-box">
          <label for="col-2-right" class="layout col-2-right"></label>
          <input class="radio" type="radio" name="layout" id="col-2-right" value="col-2-right" <?php if(get_mystique_option('layout')=='col-2-right') echo 'checked="checked" '; ?>/>
         </div>

         <div class="layout-box">
          <label for="col-3" class="layout col-3"></label>
          <input class="radio" type="radio" name="layout" id="col-3" value="col-3" <?php if(get_mystique_option('layout')=='col-3') echo 'checked="checked" '; ?>/>
         </div>

         <div class="layout-box">
          <label for="col-3-left" class="layout col-3-left"></label>
          <input class="radio" type="radio" name="layout" id="col-3-left" value="col-3-left" <?php if(get_mystique_option('layout')=='col-3-left') echo 'checked="checked" '; ?>/>
         </div>

         <div class="layout-box">
          <label for="col-3-right" class="layout col-3-right"></label>
          <input class="radio" type="radio" name="layout" id="col-3-right" value="col-3-right" <?php if(get_mystique_option('layout')=='col-3-right') echo 'checked="checked" '; ?>/>
         </div>
         <div class="clear"></div>
        </td>
       </tr>

       <tr>
        <th scope="row"><p><?php _e("Color scheme","mystique"); ?></p></th>
        <td>
         <select name="color_scheme" id="opt-color_scheme">
          <option style="color:#a7d115;" value="green" <?php if(get_mystique_option('color_scheme')=='green') echo 'selected="selected" '; ?>><?php _e('Lime Green', 'mystique'); ?></option>
          <option>More to come...</option>
         </select>
        </td>
       </tr>

       <tr>
        <th scope="row"><p><?php _e("Preferred font style","mystique"); ?><span><?php _e("Font priority and their availability","mystique"); ?></span></p></th>
        <td>
         <select name="font_style">
          <option value="0" <?php if(get_mystique_option('font_style')=='0') echo 'selected="selected" '; ?>>Segoe UI (Windows Vista/7)</option>
          <option value="1" <?php if(get_mystique_option('font_style')=='1') echo 'selected="selected" '; ?>>Helvetica/Arial</option>
          <option value="2" <?php if(get_mystique_option('font_style')=='2') echo 'selected="selected" '; ?>>Georgia</option>
          <option value="3" <?php if(get_mystique_option('font_style')=='3') echo 'selected="selected" '; ?>>Lucida Grande/Sans (Mac/Windows)</option>
         </select>
        </td>
       </tr>

       <tr>
        <th scope="row"><p><?php _e("Imageless layout","mystique") ?><span><?php _e("No background images; reduces page load downto just a few KB, with the cost of less graphic details","mystique"); ?></span></p></th>
        <td><input name="imageless" id="opt-imageless" type="checkbox" value="1" <?php checked( '1', get_mystique_option('imageless') ) ?> /></td>
       </tr>

       <tr>
        <th scope="row"><p><?php _e("Footer content","mystique"); ?><span><?php _e("You can post HTML code",'mystique') ?></span></p></th>
        <td>
         <textarea rows="4" cols="50" name="footer_content" class="code"><?php echo get_mystique_option('footer_content') ?></textarea><br />
         <?php _e("Use the follwing short codes for convenient adjustments:<br/><code>[rss]</code> <code>[copyright]</code> <code>[credit]</code> <code>[wp-link]</code> <code>[theme-link]</code> <code>[login-link]</code> <code>[blog-title]</code> <code>[xhtml]</code> <code>[css]</code> <code>[top]</code>.",'mystique') ?>
        </td>
       </tr>

      </table>
     </div>

     <div class="section" id="tab-2">
      <table class="form-table" style="width: auto;">
       <tr>
        <th scope="row"><p><?php _e("Top navigation shows","mystique"); ?></p></th>
        <td>
         <select name="navigation" id="opt-navigation">
          <option value="pages" <?php if(get_mystique_option('navigation')=='pages') echo 'selected="selected" '; ?>><?php _e('Pages', 'mystique'); ?></option>
          <option value="categories" <?php if(get_mystique_option('navigation')=='categories') echo 'selected="selected" '; ?>><?php _e('Categories', 'mystique'); ?></option>
          <option value="links" <?php if(get_mystique_option('navigation')=='links') echo 'selected="selected" '; ?>><?php _e('Links', 'mystique'); ?></option>
         </select>
         <div class="opt-links" style="display: inline;">
          <?php
           $taxonomy = 'link_category';
           $args ='';
           $terms = get_terms( $taxonomy, $args );
           if ($terms): ?>
             <?php _e("from category","mystique"); ?>
             <select name="navigation_links">
             <?php
             foreach($terms as $term) {
              if ($term->count > 0):
               if(get_mystique_option('navigation_links')==$term->name) $selected = 'selected="selected" '; else $selected='';
               echo '<option value="'.$term->name.'" '.$selected.'>'.$term->name.' ('.$term->count.' links)</option>';
              endif;
             }
             ?>
             </select>
             <?php
           else: ?>
             <p class="error"><?php _e("No links found","mystique"); ?></p>
           <?php
           endif;
          ?>
         </div>
        </td>
       </tr>

       <tr>
        <th scope="row"><p><?php _e("Exclude from navigation","mystique"); ?><span><?php _e("Type page, category or link IDs (depending on your selection above), separated by commas","mystique"); ?></span></p></th>
        <td>
         <input type="hidden" name="exclude_from_nav" value="" />
         <input class="text" type="text" size="40" name="exclude_from_nav" value="<?php esc_attr( print_mystique_option('exclude_from_nav') ) ?>" />
        </td>
       </tr>

      </table>
     </div>

     <div class="section" id="tab-3">
      <table class="form-table" style="width: auto">

       <?php if(is_writable(get_upload_dir('basedir'))): ?>
       <tr>
        <th scope="row"><p><?php _e("Custom logo image","mystique"); ?><span><?php _e("Show a logo image instead of text; Upload the graphic file from your computer","mystique"); ?></span></p></th>
        <td>
         <input type="file" name="file-logo" id="file-logo" />
         <?php if(get_mystique_option('logo')): ?>
         <div style="background: #000;margin-top:10px;overflow:hidden;"><img src="<?php echo get_mystique_option('logo'); ?>" style="padding:10px;" /></div>
         <button type="submit" class="button" name="remove-logo" value="0"><?php _e("Remove current image","mystique"); ?></button>
         <?php endif; ?>
        </td>
       </tr>

       <tr>
        <th scope="row"><p><?php _e("Custom background image","mystique"); ?><span><?php _e("Upload a new background/header image to replace the default one","mystique"); ?></span></p></th>
        <td>
         <input type="file" name="file-background" id="file-background" />
         <?php if(get_mystique_option('background')): ?>
         <div style="background: #000;margin-top:10px;overflow:hidden;"><img src="<?php echo get_mystique_option('background'); ?>" style="padding:10px;" /></div>
         <button type="submit" class="button" name="remove-background" value="0"><?php _e("Remove current image","mystique"); ?></button>
         <?php endif; ?>
        </td>
       </tr>
       <?php else: ?>
       <tr>
        <td><p class="error" style="padding: 4px;"><?php printf(__("Directory %s doesn't have write permissions - can't upload!","mystique"),'<strong>'.get_upload_dir('basedir').'</strong>'); ?></p><p><?php _e("Check your upload path in Settings/Misc or CHMOD this directory to 755/777.<br />Contact your host if you don't know how",""); ?></p></td>

        </tr>
       <?php endif; ?>
      </table>
     </div>

     <div class="section" id="tab-4">
      <table class="form-table" style="width: auto">

       <tr>
        <th scope="row"><p><?php _e("Post previews","mystique"); ?><span><?php _e("The way posts are displayed on blog homepage and archive pages","mystique"); ?></span></p></th>
        <td>
         <select name="post_preview">
          <option value="full" <?php if(get_mystique_option('post_preview')=='full') echo 'selected="selected" '; ?>><?php _e('Full', 'mystique'); ?></option>
          <option value="excerpt" <?php if(get_mystique_option('post_preview')=='excerpt') echo 'selected="selected" '; ?>><?php _e('Excerpts', 'mystique'); ?></option>
          <option value="title" <?php if(get_mystique_option('post_preview')=='title') echo 'selected="selected" '; ?>><?php _e('Titles only', 'mystique'); ?></option>
         </select>
        </td>
       </tr>

       <tr>
        <th scope="row"><p><?php _e("Enable \"ShareThis\" feature","mystique"); ?><span><?php _e("Uncheck this if you're using a social bookmaring plugin","mystique"); ?></span></p></th>
        <td><input name="sharethis" type="checkbox" value="1" <?php checked( '1', get_mystique_option('sharethis') ) ?> /></td>
       </tr>

       <tr>
        <th scope="row"><p><?php _e("Featured content source","mystique"); ?><span><?php _e("The last 5 posts from this category will be shown in the featured content area (in random order)","mystique"); ?></span></p></th>
        <td>
         <?php wp_dropdown_categories(array(
          'name' => 'featured_content',
          'selected' => get_mystique_option('featured_content'),
          'show_option_all' => __('- All categories', 'mystique'),
          'hide_empty' => 0,
          'orderby' => 'name',
          'show_count' => 1,
          'hierarchical' => 1)) ?>
        </td>
       </tr>
      </table>
     </div>

     <div class="section" id="tab-5">
      <table class="form-table" style="width: auto">
       <tr>
        <th scope="row"><p><?php _e("Additional site optimization for search engines","mystique"); ?><span><?php _e("Uncheck if you are using a SEO plugin!","mystique"); ?></span></p></th>
        <td><input name="seo" type="checkbox" id="opt-seo" value="1" <?php checked( '1', get_mystique_option('seo') ) ?> /></td>
       </tr>

       <tr>
        <th scope="row"></th>
        <td>
         <h3><?php _e("What does this do?"); ?></h3>
         <ul style="list-style: disc">
          <li><em><?php printf(__('enables canonical URLs for comments (duplicate content fix)','mystique')); ?></em></li>
          <li><em><?php printf(__('generates unique titles for posts with multiple comment pages (prevents duplicate titles)','mystique')); ?></em></li>
          <li><em><?php printf(__('activates meta description field (tag line is used for homepage and post/page summary for others)','mystique')); ?></em></li>
          <li><em><?php printf(__('no keywords are generated because they are <a %s>useless</a>','mystique'),'href="http://googlewebmastercentral.blogspot.com/2009/09/google-does-not-use-keywords-meta-tag.html" target="_blank"'); ?> </em></li>
         </ul>
        </td>
       </tr>

      </table>
     </div>

     <div class="section" id="tab-6">
      <table class="form-table" style="width: auto">
       <tr>
        <th scope="row"><p><?php _e("Use jQuery","mystique"); ?><span><?php _e("For testing purposes only. Only uncheck if you know what you're doing!","mystique"); ?></span></p></th>
        <td><input name="jquery" type="checkbox" value="1" <?php checked( '1', get_mystique_option('jquery') ) ?> /></td>
       </tr>

       <tr>
        <th scope="row"><p><?php _e("Modify anything related to design using CSS code","mystique"); ?><span><?php printf(__("Check %s to see existing theme classes and properties","mystique"),'<a href="'.get_bloginfo('stylesheet_url').'">style.css</a>'); ?></span><br /><span style="color: #ed1f24"><?php _e("Avoid modifying theme files directly; use this option instead to preserve your changes after update","mystique"); ?></span></p></th>
        <td valign="top">
         <textarea rows="10" cols="50" name="user_css" id="opt-user_css" class="code alignleft"><?php echo get_mystique_option('user_css') ?></textarea>

         <div class="alignleft" style="padding: 1em;">
          <button class="button" onclick="jQuery('#opt-user_css').appendVal('li#nav-home {display:none;}\n');" type="button"><?php _e("Hide home button","mystique"); ?></button><br />
          <button class="button" onclick="jQuery('#opt-user_css').appendVal('.page-content {max-width:95%;}\n');" type="button"><?php _e("Set a fluid page width","mystique"); ?></button><br />
          <button class="button" onclick="jQuery('#opt-user_css').appendVal('#site-title h1#logo {font-size:300%;}\n');" type="button"><?php _e("Decrease site title text size","mystique"); ?></button><br />
          <button class="button" onclick="jQuery('#opt-user_css').appendVal('.post-date, .post-info {display:none;}\n');" type="button"><?php _e("Hide post information bar","mystique"); ?></button><br />
          <button class="button" onclick="jQuery('#opt-user_css').appendVal('#footer{background:#ddd;}\n');" type="button"><?php _e("Change footer background color to light gray","mystique"); ?></button><br />
          <button class="button" onclick="jQuery('#opt-user_css').appendVal('#footer{background:#666;color:#ddd;}\n#footer a{color:#fff;}');" type="button"><?php _e("Dark background footer","mystique"); ?></button><br />
          <button class="button" onclick="jQuery('#opt-user_css').appendVal('#primary-content{width:50%;}\n#sidebar{width:50%;}\n');" type="button"><?php _e("50/50 columns","mystique"); ?></button><br />
         </div>
        </td>
       </tr>

       <tr>
        <th scope="row"><p><?php _e("Remove Mystique settings from the database after theme switch","mystique"); ?><span><?php _e("Uncheck this if you plan to keep Mystique as your default theme!","mystique"); ?></span></p></th>      <td>
         <input name="remove_settings" id="opt-remove_settings" type="checkbox" value="1" <?php checked( '1', get_mystique_option('remove_settings') ) ?> />
        </td>
       </tr>

      </table>
     </div>

    </div>
    <!-- /sections -->

   </div>
   <!-- /tabbed content -->
   <p><input type="submit" class="button-primary" name="submit" value="<?php _e("Save Changes","mystique"); ?>" /></p>
   </form>
   <hr />
   <div class="support">
    <form class="alignleft" action="https://www.paypal.com/cgi-bin/webscr" method="post"> <input name="cmd" type="hidden" value="_s-xclick" /> <input name="hosted_button_id" type="hidden" value="4605915" /> <input alt="Donate" name="submit" src="https://www.paypal.com/en_US/i/btn/btn_donate_SM.gif" type="image" /> <img src="https://www.paypal.com/en_US/i/scr/pixel.gif" border="0" alt="" width="1" height="1" /></form>
     <a href="http://digitalnature.ro/projects/mystique">Mystique</a> is a free theme developed by <a href="http://digitalnature.ro">digitalnature</a>.<br />You can support this project by donating.
   </div>
   <div class="clear"></div>

  </div>
  <?php endif;
}

function mystique_addmenu() {
  $page = add_theme_page(
    __('Mystique settings','mystique'),
    __('Mystique settings','mystique'),
       'edit_themes',
       'theme-settings',
       'mystique_theme_settings'
  );
}


// Add Settings Page
add_action('admin_menu', 'mystique_addmenu');

// Options handler for Settings Page
add_action('admin_post_mystique_update', 'mystique_update_options');

// Delete all Options if Theme is switched
if(get_mystique_option('remove_settings')) add_action('switch_theme', 'remove_options');
