<?php
/* Mystique/digitalnature */



// categories widget

class SidebarTabsWidget extends WP_Widget{
    function SidebarTabsWidget(){
      $widget_ops = array('classname' => 'sidebar_tabs', 'description' => __( "Displays links to different sections grouped in tabs","mystique") );
      $control_ops = array('width' => 300);
      $this->WP_Widget(false, __('Mystique | Sidebar tabs','mystique'), $widget_ops, $control_ops);
    }

    function widget($args, $instance){
      extract($args);
	  $orderby = empty( $instance['orderby'] ) ? 'name' : $instance['orderby'];
      $postcount = isset($instance['postcount']) ? $instance['postcount'] : false;
      $showcategories = isset($instance['showcategories']) ? $instance['showcategories'] : false;
      $showtags = isset($instance['showtags']) ? $instance['showtags'] : false;
      $showarchives = isset($instance['showarchives']) ? $instance['showarchives'] : false;
      $showpopular = isset($instance['showpopular']) ? $instance['showpopular'] : false;
      $showrecentcomm = isset($instance['showrecentcomm']) ? $instance['showrecentcomm'] : false;
      $id = $args['widget_id'];
      $jquery = get_mystique_option('jquery');
      echo $before_widget; ?>
      <?php if($jquery): // no tab navigation if jquery is disabled ?>
      <!-- tabbed content -->
      <div class="tabbed-content sidebar-tabs" id="<?php echo $id; ?>">

       <!-- tab navigation (items must be in reverse order because of the tab-design) -->
       <ul class="box-tabs">
          <?php if($showrecentcomm): ?><li class="recentcomm"><a href="#<?php echo $id; ?>-section-recentcomments" title="<?php _e('Recent comments','mystique'); ?>"><span><?php _e('Recent comments','mystique'); ?></span></a></li><?php endif; ?>
          <?php if($showpopular): ?><li class="popular"><a href="#<?php echo $id; ?>-section-popular" title="<?php _e('Popular posts','mystique'); ?>"><span><?php _e('Popular posts','mystique'); ?></span></a></li><?php endif; ?>
          <?php if($showarchives): ?><li class="archives"><a href="#<?php echo $id; ?>-section-archives" title="<?php _e('Archives','mystique'); ?>"><span><?php _e('Archives','mystique'); ?></span></a></li><?php endif; ?>
          <?php if($showtags): ?><li class="tags"><a href="#<?php echo $id; ?>-section-tags" title="<?php _e('Tags','mystique'); ?>"><span><?php _e('Tags','mystique'); ?></span></a></li><?php endif; ?>
          <?php if($showcategories): ?><li class="categories"><a href="#<?php echo $id; ?>-section-categories" title="<?php _e('Categories','mystique'); ?>"><span><?php _e('Categories','mystique'); ?></span></a></li><?php endif; ?>
       </ul>
       <div class="clear"></div>
       <!-- /tab nav -->

       <!-- tab sections -->
       <div class="sections">

        <?php if($showcategories): ?>
        <!-- comments -->
        <div class="section" id="<?php echo $id; ?>-section-categories">
         <div class="box">
          <div class="box-top-left"><div class="box-top-right"></div></div>
          <div class="box-main">
           <div class="box-content">
            <ul class="menuList categories">
             <?php
              if($postcount):
               echo preg_replace('@\<li([^>]*)>\<a([^>]*)>(.*?)\<\/a> \(\<a ([^>]*)([^>]*)>XML\<\/a>\) \((.*?)\)@i', '<li $1><a$2 class="fadeThis"><span class="entry">$3 <span class="details inline">($6)</span></span></a><a class="rss bubble" $4></a>', wp_list_categories('orderby='.$orderby.'&show_count=1&echo=0&title_li=&feed=XML'));
              else:
               echo preg_replace('@\<li([^>]*)>\<a([^>]*)>(.*?)\<\/a> \(\<a ([^>]*) ([^>]*)>(.*?)\<\/a>\)@i', '<li $1><a$2 class="fadeThis"><span class="entry">$3</span></a><a class="rss bubble" $4></a>', wp_list_categories('orderby='.$orderby.'&show_count=0&echo=0&title_li=&feed=XML'));
              endif;
             ?>
            </ul>
           </div>
          </div>
         </div>
        </div>
        <?php endif; ?>

        <?php if($showtags): ?>
        <div class="section" id="<?php echo $id; ?>-section-tags">
         <div class="box">
          <div class="box-top-left"><div class="box-top-right"></div></div>
          <div class="box-main">
           <div class="box-content">
            <div class="tag-cloud">
             <?php wp_tag_cloud(apply_filters('widget_tag_cloud_args', array())); ?>
            </div>
           </div>
          </div>
         </div>
        </div>
       <?php endif; ?>

        <?php if($showarchives): ?>
        <div class="section" id="<?php echo $id; ?>-section-archives" style="display:none;">
         <div class="box">
          <div class="box-top-left"><div class="box-top-right"></div></div>
          <div class="box-main">
           <div class="box-content">
            <ul class="menuList">
      	     <?php //wp_get_archives(apply_filters('widget_archives_args', array('type' => 'monthly', 'show_post_count' => $postcount)));
              if($postcount):
               echo preg_replace('@\<li>\<a([^>]*)>(.*?)\<\/a>([^>]*)\((.*?)\)@i', '<li><a$1 class="fadeThis"><span class="entry">$2 <span class="details inline">($4)</span></span></a>', wp_get_archives(apply_filters('widget_archives_args', array('type' => 'monthly', 'show_post_count' => $postcount, 'echo' => 0))));
              else:
               echo preg_replace('@\<li>\<a([^>]*)>(.*?)\<\/a>@i', '<li><a$1 class="fadeThis"><span class="entry">$2</span></a>', wp_get_archives(apply_filters('widget_archives_args', array('type' => 'monthly', 'show_post_count' => $postcount, 'echo' => 0))));
              endif;
             ?>
            </ul>
           </div>
          </div>
         </div>
        </div>
       <?php endif; ?>

        <?php if($showpopular): ?>
        <div class="section" id="<?php echo $id; ?>-section-popular">
         <div class="box">
          <div class="box-top-left"><div class="box-top-right"></div></div>
          <div class="box-main">
           <div class="box-content">
            <?php
             $no_posts = 5;
             $show_pass_post = false;
             $duration='';
             global $wpdb;
             $request = "SELECT ID, post_title, COUNT($wpdb->comments.comment_post_ID) AS 'comment_count' FROM $wpdb->posts, $wpdb->comments";
             $request .= " WHERE comment_approved = '1' AND $wpdb->posts.ID=$wpdb->comments.comment_post_ID AND post_status = 'publish'";
             if(!$show_pass_post) $request .= " AND post_password =''";
             if($duration !="") $request .= " AND DATE_SUB(CURDATE(),INTERVAL ".$duration." DAY) < post_date ";
             $request .= " GROUP BY $wpdb->comments.comment_post_ID ORDER BY comment_count DESC LIMIT $no_posts";
             $posts = $wpdb->get_results($request);
             if ($posts):
              echo '<ul class="menuList">';
              foreach ($posts as $post):
               $post_title = stripslashes($post->post_title);
               $comment_count = $post->comment_count;
               $permalink = get_permalink($post->ID);
               echo '<li><a class="fadeThis" href="' . $permalink . '" title="' . $post_title.'"><span class="entry">' . $post_title . ' <span class="details inline">(' . $comment_count.')</span></span></a></li>';
              endforeach;
              echo '</ul>';
             else:
              _e("Didn't find any posts popular enough :(","mystique");
             endif;
             ?>
           </div>
          </div>
         </div>
        </div>
       <?php endif; ?>

       <?php if($showrecentcomm): ?>
        <div class="section" id="<?php echo $id; ?>-section-recentcomments">
         <div class="box">
          <div class="box-top-left"><div class="box-top-right"></div></div>
          <div class="box-main">
           <div class="box-content">
            <?php
             $commentcount=6;
             $commentlength=200;
             global $wpdb;
             // wp_cache_get?
  	         $sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type, SUBSTRING(comment_content,1,$commentlength) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID = $wpdb->posts.ID) WHERE comment_approved = '1' AND comment_type = '' AND post_password = '' ORDER BY comment_date_gmt DESC LIMIT $commentcount";
  	         $comments = $wpdb->get_results($sql);
   	         if ($comments):
              echo '<ul class="menuList recentcomm">';
    	         foreach ($comments as $comment):
  		      echo '<li><a class="fadeThis" href="' . get_permalink($comment->ID) . '#comment-' . $comment->comment_ID  . '" title="on ' . $comment->post_title . '"><span class="entry">' . $comment->comment_author . ':<span class="details">'.strip_tags($comment->com_excerpt).'</span></span></a></li>';
  	         endforeach;
              echo '</ul>';
             else:
               _e("Didn't find any comments :(","mystique");
             endif;?>
           </div>
          </div>
         </div>
        </div>
       <?php endif; ?>

       </div>
      </div>
      <!-- tabbed content -->
      <?php else:
      echo $before_title . __("Sidebar tabs","mystique") . $after_title; ?>
      <p class="error"><?php _e("jQuery is disabled and this widget needs it","mystique"); ?></p>
      <?php endif; ?>

      <?php
      echo $after_widget;
    }

    function update($new_instance, $old_instance){
      $instance = $old_instance;
	  if ( in_array( $new_instance['orderby'], array( 'name', 'ID', 'slug','count' ) )):
			$instance['orderby'] = $new_instance['orderby'];
	  else:
			$instance['orderby'] = 'name';
  	  endif;
	  $instance['postcount'] = $new_instance['postcount'] ? 1 : 0;
	  $instance['showcategories'] = $new_instance['showcategories'] ? 1 : 0;
	  $instance['showtags'] = $new_instance['showtags'] ? 1 : 0;
	  $instance['showarchives'] = $new_instance['showarchives'] ? 1 : 0;
	  $instance['showpopular'] = $new_instance['showpopular'] ? 1 : 0;
	  $instance['showrecentcomm'] = $new_instance['showrecentcomm'] ? 1 : 0;
      return $instance;
    }

    function form($instance){
      // defaults
      $instance = wp_parse_args( (array) $instance, array('orderby' => 'name', 'postcount' => true, 'showcategories' => true, 'showtags' => true, 'showarchives' => true, 'showpopular' => true, 'showrecentcomm' => true));
  	  $postcount = $instance['postcount'] ? 'checked="checked"' : '';
  	  $postcount = $instance['showcategories'] ? 'checked="checked"' : '';
  	  $postcount = $instance['showtags'] ? 'checked="checked"' : '';
  	  $postcount = $instance['showarchives'] ? 'checked="checked"' : '';
  	  $postcount = $instance['showpopular'] ? 'checked="checked"' : '';
  	  $postcount = $instance['showrecentcomm'] ? 'checked="checked"' : '';
      ?>
      <h3>Tabs to show</h3>
      <fieldset style="background:#eee;padding:1em;">
      <p>
       <input class="checkbox" type="checkbox" <?php checked($instance['showcategories'], true) ?> id="<?php echo $this->get_field_id('showcategories'); ?>" name="<?php echo $this->get_field_name('showcategories'); ?>" />
       <label for="<?php echo $this->get_field_id('showcategories'); ?>"><?php _e('Categories','mystique'); ?></label>
      </p>
      <p>
       <input class="checkbox" type="checkbox" <?php checked($instance['showtags'], true) ?> id="<?php echo $this->get_field_id('showtags'); ?>" name="<?php echo $this->get_field_name('showtags'); ?>" />
       <label for="<?php echo $this->get_field_id('showtags'); ?>"><?php _e('Tags ','mystique'); ?></label>
      </p>
      <p>
       <input class="checkbox" type="checkbox" <?php checked($instance['showarchives'], true) ?> id="<?php echo $this->get_field_id('showarchives'); ?>" name="<?php echo $this->get_field_name('showarchives'); ?>" />
       <label for="<?php echo $this->get_field_id('showarchives'); ?>"><?php _e('Archives','mystique'); ?></label>
      </p>
      <p>
       <input class="checkbox" type="checkbox" <?php checked($instance['showpopular'], true) ?> id="<?php echo $this->get_field_id('showpopular'); ?>" name="<?php echo $this->get_field_name('showpopular'); ?>" />
       <label for="<?php echo $this->get_field_id('showpopular'); ?>"><?php _e('Popular posts (most commented)','mystique'); ?></label>
      </p>
      <p>
       <input class="checkbox" type="checkbox" <?php checked($instance['showrecentcomm'], true) ?> id="<?php echo $this->get_field_id('showrecentcomm'); ?>" name="<?php echo $this->get_field_name('showrecentcomm'); ?>" />
       <label for="<?php echo $this->get_field_id('showrecentcomm'); ?>"><?php _e('Recent comments','mystique'); ?></label>
      </p>
      </fieldset>
      <br />
      <fieldset>
      <p>
       <label for="<?php echo $this->get_field_id('orderby'); ?>"><?php _e( 'Sort categories by:','mystique' ); ?></label>
       <select name="<?php echo $this->get_field_name('orderby'); ?>" id="<?php echo $this->get_field_id('orderby'); ?>" class="widefat">
	   	<option value="name"<?php selected( $instance['orderby'], 'name' ); ?>><?php _e('By name (alphabetically)','mystique'); ?></option>
	   	<option value="ID"<?php selected( $instance['orderby'], 'ID' ); ?>><?php _e('By category ID','mystique'); ?></option>
	   	<option value="slug"<?php selected( $instance['orderby'], 'slug' ); ?>><?php _e('By category slug','mystique'); ?></option>
	   	<option value="count"<?php selected( $instance['orderby'], 'count' ); ?>><?php _e( 'By post count','mystique' ); ?></option>
	   </select>
      </p>
      <p>
       <input class="checkbox" type="checkbox" <?php checked($instance['postcount'], true) ?> id="<?php echo $this->get_field_id('postcount'); ?>" name="<?php echo $this->get_field_name('postcount'); ?>" />
       <label for="<?php echo $this->get_field_id('postcount'); ?>"><?php _e('Show post count','mystique'); ?></label>
      </p>
      </fieldset>
     <?php
    }
}



// twitter widget

class TwitterWidget extends WP_Widget{

    function TwitterWidget(){
      $widget_ops = array('classname' => 'twitter', 'description' => __( "Shows your latest Twitter updates","mystique") );
      $this->WP_Widget(false, __('Mystique | Twitter','mystique'), $widget_ops);
    }

    function widget($args, $instance){
      extract($args);
      $title = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title']);
      $twituser = empty($instance['twituser']) ? 'Wordpress' : $instance['twituser'];
      $twitcount = empty($instance['twitcount']) ? '8' : $instance['twitcount'];
      $id = $args['widget_id'];
      $jquery = get_mystique_option('jquery');
      echo $before_widget;
      if ( $title ) echo $before_title . $title . $after_title; ?>

      <?php if($jquery): // no tab navigation if jquery is disabled ?>
      <script type="text/javascript">
      /* <![CDATA[ */

      jQuery(document).ready(function () {
       jQuery('<?php if ($id) echo "#instance-".$id; ?>.block-twitter .latestTweets').getTwitter({
        userName: '<?php echo $twituser; ?>',
        numTweets: <?php echo $twitcount; ?>,
        loaderText: '<?php _e("Loading twitts...","mystique"); ?>'
       });

       jQuery.jTwitter('<?php echo $twituser; ?>', function (userdata) {
        jQuery('<?php if ($id) echo "#instance-".$id; ?>.block-twitter div.avatar').prepend('<a href="http://www.twitter.com/<?php echo $twituser; ?>"><img src="' + userdata.profile_image_url + '" /></a>');
        jQuery('<?php if ($id) echo "#instance-".$id; ?>.block-twitter div.info').prepend('<a href="http://www.twitter.com/<?php echo $twituser; ?>">' + userdata.name + '</a><br /><span class="followers">' + userdata.followers_count + ' followers<span>');
       });
      });
      /* ]]> */
      </script>
      <div class="avatar"></div>
      <div class="info"></div>
      <div class="clear"></div>
      <div class="latestTweets"></div>
      <?php  if ( $title ): ?>
      <a class="followMe" href="http://www.twitter.com/<?php echo $instance['twituser']; ?>"><span><?php _e("Follow me on Twitter!","mystique"); ?></span></a>
      <?php endif; ?>
      <?php else: ?>
      <p class="error"><?php _e("jQuery is disabled and this widget needs it","mystique"); ?></p>
      <?php endif; ?>
      <?php
      echo $after_widget;
    }

    function update($new_instance, $old_instance){
      $instance = $old_instance;
      $instance['title'] = strip_tags(stripslashes($new_instance['title']));
      $instance['twituser'] = strip_tags(stripslashes($new_instance['twituser']));
      $instance['twitcount'] = strip_tags(stripslashes($new_instance['twitcount']));
    return $instance;
    }

    function form($instance){
      // defaults
      $instance = wp_parse_args( (array) $instance, array('title'=>'My latest tweets', 'twituser'=>'Wordpress', 'twitcount'=>'8') );

      $title = htmlspecialchars($instance['title']);
      $twituser = htmlspecialchars($instance['twituser']);
      $twitcount = htmlspecialchars($instance['twitcount']);
      ?>
      <p>
       <label for="<?php echo $this->get_field_name('title'); ?>"> <?php _e('Title:','mystique'); ?></label>
       <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
      </p>

      <p>
       <label for="<?php echo $this->get_field_name('twituser'); ?>"><?php _e('Twitter user name:','mystique'); ?></label>
       <input class="widefat" id="<?php echo $this->get_field_id('twituser'); ?>" name="<?php echo $this->get_field_name('twituser'); ?>" type="text" value="<?php echo $twituser; ?>" />
      </p>

      <p>
       <label for="<?php echo $this->get_field_name('twitcount'); ?>"><?php _e('Number of twitts to show:','mystique'); ?></label>
       <input size="8" id="<?php echo $this->get_field_id('twitcount'); ?>" name="<?php echo $this->get_field_name('twitcount'); ?>" type="text" value="<?php echo $twitcount; ?>" />
      </p>
      <?php
    }
}



// flickr widget

class FlickrWidget extends WP_Widget{

    function FlickrWidget(){
      $widget_ops = array('classname' => 'flickr', 'description' => __( "Displays Flickr galleries (needs API key)","mystique") );
      $control_ops = array('width' => 400);
      $this->WP_Widget(false, __('Mystique | Flickr Gallery','mystique'), $widget_ops, $control_ops);
    }

    function widget($args, $instance){
      extract($args);
      $title = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title']);
      $apikey = empty($instance['apikey']) ? '' : $instance['apikey'];
      $numphotos = empty($instance['numphotos']) ? '16' : $instance['numphotos'];
      $photoset = empty($instance['photoset']) ? '' : $instance['photoset'];
      $userid = empty($instance['userid']) ? '' : $instance['userid'];
	  $type = empty( $instance['type'] ) ? 'name' : $instance['type'];

      $id = $args['widget_id'];
      $jquery = get_mystique_option('jquery');
      echo $before_widget;
      $icon = '<span class="icon"></span>';
      if ( $title ) echo $before_title . $title . $icon. $after_title; ?>
      <?php if ($jquery): ?>
      <script type="text/javascript">
      /* <![CDATA[ */
      jQuery(document).ready(function () {

        //var flickrAPI = '52ca4906451ca4d51e6ef9ba4758f77d';
        //var flickrPhotoset = "72157600073457403";

        jQuery(function () {
         jQuery("<?php if ($id) echo '#instance-'.$id; ?>.block-flickr .flickrGallery").flickr({
         api_key: '<?php echo $apikey; ?>',
         <?php if($type=='user'): ?>
         type: 'search',
         user_id: '<?php echo $userid; ?>',
         <?php elseif($type=='photoset'): ?>
         type: 'photoset',
         photoset_id: '<?php echo $photoset; ?>',
         <?php endif; ?>
         per_page: <?php echo $numphotos; ?>,
         callback: liteboxCallback
        });
      });

      });
      /* ]]> */
      </script>

      <div class="flickrGallery"></div>
      <?php else: ?>
      <p class="error"><?php _e("jQuery is disabled and this widget needs it","mystique"); ?></p>
      <?php endif; ?>
      <?php
      echo $after_widget;
    }

    function update($new_instance, $old_instance){
      $instance = $old_instance;
      $instance['title'] = strip_tags(stripslashes($new_instance['title']));
      $instance['apikey'] = strip_tags(stripslashes($new_instance['apikey']));
      $instance['numphotos'] = strip_tags(stripslashes($new_instance['numphotos']));
      $instance['photoset'] = strip_tags(stripslashes($new_instance['photoset']));
      $instance['userid'] = strip_tags(stripslashes($new_instance['userid']));

	  if ( in_array( $new_instance['type'], array( 'photoset', 'user') )):
		$instance['type'] = $new_instance['type'];
	  else:
		$instance['type'] = 'name';
  	  endif;

      return $instance;
    }

    function form($instance){
      // defaults
      $instance = wp_parse_args( (array) $instance, array('title'=>'Flickr Gallery', 'apikey'=>'', 'numphotos'=>'12', 'photoset'=>'', 'userid'=>'', 'type' => 'photoset') );
      $title = htmlspecialchars($instance['title']);
      $apikey = htmlspecialchars($instance['apikey']);
      $numphotos = htmlspecialchars($instance['numphotos']);
      $photoset = htmlspecialchars($instance['photoset']);
      $userid = htmlspecialchars($instance['userid']);
     ?>

      <p>
        <label for="<?php echo $this->get_field_name('title'); ?>"><?php _e('Title:','mystique'); ?>
        <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title ?>" /></label>
      </p>

      <p>
        <label for="<?php echo $this->get_field_name('apikey'); ?>"> <?php _e('API key:','mystique'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('apikey'); ?>" name="<?php echo $this->get_field_name('apikey'); ?>" type="text" value="<?php echo $apikey; ?>" />
      </p>

      <p>
        <label for="<?php echo $this->get_field_name('numphotos'); ?>"><?php _e('Number of photos to show:','mystique'); ?></label>
        <input size="5" id="<?php echo $this->get_field_id('numphotos'); ?>" name="<?php echo $this->get_field_name('numphotos'); ?>" type="text" value="<?php echo $numphotos; ?>" />
      </p>

      <p>
       <label for="<?php echo $this->get_field_id('type'); ?>"><?php _e( 'Gallery source:','mystique' ); ?></label>
	   <select name="<?php echo $this->get_field_name('type'); ?>" id="<?php echo $this->get_field_id('type'); ?>">
	   	<option value="photoset"<?php selected( $instance['type'], 'photoset' ); ?>><?php _e('Photoset','mystique'); ?></option>
	   	<option value="user"<?php selected( $instance['type'], 'user' ); ?>><?php _e('User photostream','mystique'); ?></option>
	   </select>
	  </p>

      <p>
        <label for="<?php echo $this->get_field_name('photoset'); ?>"><?php _e('Photoset ID:','mystique'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('photoset'); ?>" name="<?php echo $this->get_field_name('photoset'); ?>" type="text" value="<?php echo $photoset; ?>" />
      </p>

      <p>
        <label for="<?php echo $this->get_field_name('userid'); ?>"><?php printf(__('User ID (use %s to find it):','mystique'),'<a target="_blank" href="http://idgettr.com/">idGettr</a>'); ?></label>
        <input class="widefat" id="<?php echo $this->get_field_id('userid'); ?>" name="<?php echo $this->get_field_name('userid'); ?>" type="text" value="<?php echo $userid; ?>" />
      </p>

      <?php
    }
}



// init
function MystiqueWidgetsInit(){
  register_widget('TwitterWidget');
  register_widget('SidebarTabsWidget');
  register_widget('FlickrWidget');
}

add_action('widgets_init', 'MystiqueWidgetsInit');

?>